<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="ContactFormSubmissions.aspx.cs" Inherits="Admin_ContactFormSubmissions" Title="Contact Form Submissions" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">
    
    <h1><asp:Literal ID="litBlockTitle" runat="Server" /> Submissions</h1>
    
    <table>
        <tr>
            <td>Submissions to display at once:</td>
            <td>
                <asp:DropDownList ID="ddlPageSize" runat="server">
                    <asp:ListItem>20</asp:ListItem>
                    <asp:ListItem>50</asp:ListItem>
                    <asp:ListItem>100</asp:ListItem>
                    <asp:ListItem>200</asp:ListItem>
                    <asp:ListItem>500</asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:Button ID="btnApply" runat="server" Text="Apply" OnClick="btnApply_Click" />
            </td>
        </tr>
        <tr>
            <td>Export To Excel:</td>
            <td>
                <asp:DropDownList ID="ddlExport" runat="server">
                    <asp:ListItem Value="1">Just This Page</asp:ListItem>
                    <asp:ListItem Value="2">All Results</asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:Button ID="btnExport" runat="server" Text="Export" OnClick="btnExport_Click" />
            </td>
        </tr>
    </table>
    
    <br />
    <asp:Panel ID="pnlDetail" runat="server">
        <asp:GridView ID="gvDetail" runat="server" GridLines="None" AutoGenerateColumns="False">
            <RowStyle BackColor="#E0E0E0" />
            <AlternatingRowStyle BackColor="#FFFFFF" />
            <Columns>
                <asp:BoundField DataField="Label" HeaderText="Label" ItemStyle-Width="300px" />
                <asp:BoundField DataField="Value" HeaderText="Response" ItemStyle-Width="400px" />
            </Columns>
        </asp:GridView>
    </asp:Panel>
    <br />
    
    <asp:LinkButton ID="lbBack" runat="server" Text="Back" OnClick="lbBack_Click" />
    <asp:Literal ID="litPagination" runat="server" />
    <asp:LinkButton ID="lbNext" runat="server" Text="Next" OnClick="lbNext_Click" />
    
    <br />
    <br />
    
    <asp:GridView ID="gvSubmissions" runat="server" GridLines="None" AutoGenerateColumns="false" DataKeyNames="ContactFormSubmissionID" OnRowCommand="gvSubmissions_RowCommand">
        <Columns>
            <asp:ButtonField ButtonType="Link" CommandName="detail" HeaderText="Date" DataTextField="Timestamp" DataTextFormatString="{0:d}" />
        </Columns>
    </asp:GridView>
    
</asp:Content>

