<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderStatus.ascx.cs" Inherits="Admin_Controls_OrderStatus" %>

<table class="sidePanel" cellpadding="1" cellspacing="0">
<tr>
    <td>Status:</td>
    <td align="right"><b><asp:Literal ID="litStatus" runat="Server" /></b></td>
</tr>
<tr>
    <td>Authorized:</td>
    <td align="right"><b><asp:Literal ID="litAuthorized" runat="Server" /></b></td>
</tr>
<tr>
    <td>Captured:</td>
    <td align="right"><b><asp:Literal ID="litSettled" runat="Server" /></b></td>
</tr>
<tr>
    <td>Shipped:</td>
    <td align="right"><b><asp:Literal ID="litShipped" runat="Server" /></b></td>
</tr>
<asp:Panel ID="pnlShipped" Visible="false" runat='server'>
<tr>
    <td colspan="2" align="center"><asp:Literal runat="server" ID="litPrintShippingLabel"></asp:Literal></td>
</tr>
</asp:Panel>
<asp:Panel ID="pnlHighValueReport" Visible="false" runat='server'>
<tr>
    <td colspan="2" align="center"><asp:HyperLink runat="server" ID="lnkHighValueReport" Text="Print High Value Report" Target="_blank"></asp:HyperLink></td>
</tr>
</asp:Panel>
</table>

<table class="sidePanel" cellpadding="1" cellspacing="0">
<tr>
    <td>
        <h3>Order Tasks</h3>
        <div>
        <asp:HyperLink ID="hypReauthorize" runat="server" NavigateUrl="~/Admin/OrderWizard_Reauthorize.aspx?OrderID=" Visible="false">Reauthorize</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypShip" runat="server" NavigateUrl="~/Admin/OrderWizard_Ship.aspx?OrderID=" Visible="false">Ship Order</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypVoidShipment" runat="server" NavigateUrl="~/Admin/OrderWizard_VoidShipment.aspx?OrderID=" Visible="false">Void Shipment</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypCapture" runat="server" NavigateUrl="~/Admin/OrderWizard_Capture.aspx?OrderID=" Visible="false">Capture Funds</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypDelay" runat="server" NavigateUrl="~/Admin/OrderWizard_Delay.aspx?OrderID=" Visible="false">Delay Order</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypCancel" runat="server" NavigateUrl="~/Admin/OrderWizard_Cancel.aspx?OrderID=" Visible="false">Cancel Order</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypReverseCancel" runat="server" NavigateUrl="~/Admin/OrderWizard_ReverseCancel.aspx?OrderID=" Visible="false">Reverse Cancellation</asp:HyperLink>
        </div>
        <div>
        <asp:HyperLink ID="hypRefund" runat="server" NavigateUrl="~/Admin/OrderWizard_Refund.aspx?OrderID=" Visible="false">Refund Order</asp:HyperLink>
        </div>
        <br />
        <br />
        <a href="OrderReceipt.aspx?OrderID=<%= OrderID %>">Print Receipt</a>
    </td>
</tr>
</table>