<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditCategory.aspx.cs" Inherits="Admin_EditCategory" Title="Edit Category" ValidateRequest="False" %>
<%@ Register TagPrefix="Admin" Namespace="Admin" Assembly="__code" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="StorePages.aspx?CategoryID=<%= CategoryID %>">Store Pages</a> &gt; Add/Edit Category Page
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="StorePages.aspx?CategoryID=<%= CategoryID %>">&lt; Back to Store Pages</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">
    <table>
        <tr>
            <td style="width: 100px;">
                Category ID
            </td>
            <td><b><asp:Literal ID="litCategoryID" runat="server" Text="New Category" /></b></td>
        </tr>
        <tr valign="top">
            <td style="width: 180px">Category Name:</td>
            <td>
                <asp:TextBox ID="txtCategoryName" runat="server" Width="494px" />
            </td>                            
        </tr>
        <tr valign="top">
            <td style="width: 180px">Parent Category:</td>
            <td>
                <asp:DropDownList ID="ddlParentCategory" runat="Server" DataTextField="CanonicalName" DataValueField="CategoryID" />
            </td>                            
        </tr>
        <tr valign="top">
            <td style="width: 180px">Use custom landing page?:</td>
            <td>
                <asp:CheckBox ID="chkUseCategoryLanding" runat="server" />
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <asp:Button ID="btnCancelAddItem" runat="server" Text="Cancel" OnClick="btnCancelAddItem_Click" />
                <asp:Button ID="btnDelete" runat="server" Text="Delete" OnClientClick="return confirm('Are you sure you want to delete this category?')" OnClick="btnDelete_Click" />
                <asp:Button ID="btnAddItem" runat="server" Text="Save" OnClick="btnAddItem_Click" ValidationGroup="add" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
</asp:Content>

