<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditSelector_Categories.aspx.cs" Inherits="Admin_EditSelector_Categories" Title="Edit Product Page - Categories" ValidateRequest="false" %>
<%@ Register TagPrefix="Custom" TagName="SelectorCategories" Src="Controls/SelectorCategories.ascx" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="StorePages.aspx?SelectorID=<%= SelectorID %>">Store Pages</a> &gt; Add/Edit Product Page &gt; Categories
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="StorePages.aspx?SelectorID=<%= SelectorID %>">&lt; Back to Store Pages</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Basics.aspx?SelectorID=<%= SelectorID %>">Basic Information</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_MemberItems.aspx?SelectorID=<%= SelectorID %>">Member Items</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Customizations.aspx?SelectorID=<%= SelectorID %>">Customizations</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Categories.aspx?SelectorID=<%= SelectorID %>">Categories</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Related.aspx?SelectorID=<%= SelectorID %>">Related Products</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Photos.aspx?SelectorID=<%= SelectorID %>">Photos</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_ProductAttributes.aspx?SelectorID=<%= SelectorID %>">Product Attributes</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="Preview.aspx?SelectorID=<%= SelectorID %>" target="_blank">View This Product Page</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">    
    <h1>Categories</h1>
    <div style="width: 690px">
        <Custom:SelectorCategories ID="Category1" runat="server" />
    </div>
 
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
    <div class="panel right">
        <asp:Button ID="btnSave" runat="server" Text="Next" OnClick="btnSave_Click" />
    </div>
</asp:Content>

