<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditSelector_ProductAttributes.aspx.cs" Inherits="Admin_EditSelector_ProductAttributes" Title="Edit Product Page - Product Attributes" ValidateRequest="false" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="StorePages.aspx?SelectorID=<%= SelectorID %>">Store Pages</a> &gt; Add/Edit Product Page &gt; Product Attributes
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="StorePages.aspx?SelectorID=<%= SelectorID %>">&lt; Back to Store Pages</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Basics.aspx?SelectorID=<%= SelectorID %>">Basic Information</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_MemberItems.aspx?SelectorID=<%= SelectorID %>">Member Items</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Customizations.aspx?SelectorID=<%= SelectorID %>">Customizations</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Categories.aspx?SelectorID=<%= SelectorID %>">Categories</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Related.aspx?SelectorID=<%= SelectorID %>">Related Products</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Photos.aspx?SelectorID=<%= SelectorID %>">Photos</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_ProductAttributes.aspx?SelectorID=<%= SelectorID %>">Product Attributes</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="Preview.aspx?SelectorID=<%= SelectorID %>" target="_blank">View This Product Page</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">    
    <h1>Attributes</h1>
    
    <asp:GridView ID="gvSearchAttributes" runat="server" GridLines="None" DataKeyNames="AttributeID" AutoGenerateColumns="False" EmptyDataText="There are no attributes currently associated to this product." OnRowCommand="gvSearchAttributes_RowCommand">
        <Columns>
            <asp:BoundField DataField="GroupName" HeaderText="Group" ItemStyle-Width="200px" />
            <asp:BoundField DataField="Name" HeaderText="Attribute" ItemStyle-Width="200px" />
            <asp:ButtonField ButtonType="Link" CommandName="del" Text="[delete attribute]" ItemStyle-Width="100px" />
        </Columns>
    </asp:GridView>
    
    <div class="divider">&nbsp;</div>
    
    <h2>Add Attributes</h2>
    (Hold down Ctrl and click to select multiple attributes)
    <asp:ListBox ID="lstAttributes" runat="server" DataTextField="FullName" DataValueField="AttributeID" Width="500px" Height="150px" SelectionMode="Multiple" />
    <br />
    <asp:Button ID="btnAdd" runat="server" Text="Add Selected Attributes" OnClick="btnAdd_Click" />
 
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
</asp:Content>

