<%@ Page Language="C#" AutoEventWireup="true" CodeFile="OrderReceipt.aspx.cs" Inherits="Admin_OrderReceipt" %>
<%@ Register TagPrefix="Controls" TagName="OrderContents" Src="Controls/OrderContents.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Order <%= OrderID %></title>
    <style>
        html, body, td { font-size: 9pt; font-family: Arial; }
        .OrderContents { width: 100%; }
        .OrderContents th { text-align: left; }
        .OrderContents tr { vertical-align: top; }
        .OrderContents .quantity { width: 80px; }
        .OrderContents .productname { width: 400px; }
        .OrderContents .unitprice { width: 85px; }
        .OrderContents .cost { width: 85px; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div style="width: 650px">
        <h1>Order Number <%= OrderID %></h1>
        <table style="width: 100%">
            <tr>
                <td colspan="2">
                    Order Date: <%= OrderDate %>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    Date Shipped: <%= DateShipped %>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    Tracking Number: <%= TrackingNumber %>
                    <br />
                    <br />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <Controls:OrderContents ID="OrderContents1" runat="server" />
                </td>
            </tr>
            <tr valign="top">
                <td style="width: 50%">
                    <h3>
                        Billing Address
                    </h3>
                    <table cellpadding="2" cellspacing="0">
                        <tr>
                            <td width="100">First Name:</td>
                            <td><%= BillingAddress.FirstName  %></td>
                        </tr>
                        <tr>
                            <td>Last Name:</td>
                            <td><%= BillingAddress.LastName  %></td>
                        </tr>
                        <tr>
                            <td>Address:</td>
                            <td><%= BillingAddress.Address  %></td>
                        </tr>
                        <tr>
                            <td>City:</td>
                            <td><%= BillingAddress.City  %></td>
                        </tr>
                        <tr>
                            <td>State:</td>
                            <td><%= BillingAddress.State  %></td>
                        </tr>
                        <tr>
                            <td>Country:</td>
                            <td><%= BillingAddress.Country  %></td>
                        </tr>
                        <tr>
                            <td>Zip Code:</td>
                            <td><%= BillingAddress.ZipCode  %></td>
                        </tr>
                        <tr>
                            <td>Phone:</td>
                            <td><%= BillingAddress.Phone  %></td>
                        </tr>
                    </table>
                </td>
                <td style="width: 50%">
                    <h3>
                        Shipping Address
                    </h3>
                    <table cellpadding="2" cellspacing="0">
                        <tr>
                            <td width="100">First Name:</td>
                            <td><%= ShippingAddress.FirstName  %></td>
                        </tr>
                        <tr>
                            <td>Last Name:</td>
                            <td><%= ShippingAddress.LastName %></td>
                        </tr>
                        <tr>
                            <td>Address:</td>
                            <td><%= ShippingAddress.Address %></td>
                        </tr>
                        <tr>
                            <td>City:</td>
                            <td><%= ShippingAddress.City %></td>
                        </tr>
                        <tr>
                            <td>State:</td>
                            <td><%= ShippingAddress.State %></td>
                        </tr>
                        <tr>
                            <td>Country:</td>
                            <td><%= ShippingAddress.Country %></td>
                        </tr>
                        <tr>
                            <td>Zip Code:</td>
                            <td><%= ShippingAddress.ZipCode %></td>
                        </tr>
                        <tr>
                            <td>Email Address:</td>
                            <td><%= ShippingAddress.EmailAddress %></td>
                        </tr>        
                    </table>
                </td>
            </tr>
        </table>
    
        <script>setTimeout(function(){window.print();}, 100);</script>
    
    </div>
    </form>
</body>
</html>
