<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="OrderWizard_Reauthorize.aspx.cs" Inherits="Admin_OrderWizard_Reauthorize" Title="Reauthorize Order" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Reauthorize Order</h1>

    <asp:Wizard ID="wizReauthorize" runat="Server" ActiveStepIndex="0" OnFinishButtonClick="wizDelay_FinishButtonClick" OnNextButtonClick="wizDelay_NextButtonClick">
        <WizardSteps>
            <asp:WizardStep runat="server" StepType="Start">
               <table>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator ControlToValidate="txtBillFirstName" ID="RequiredFieldValidator1" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>First Name:</td>
                        <td>
                            <asp:TextBox ID="txtBillFirstName" runat="server" MaxLength="255" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td><asp:RequiredFieldValidator ControlToValidate="txtBillLastName" ID="RequiredFieldValidator2" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>Last Name:</td>
                        <td>
                            <asp:TextBox ID="txtBillLastName" runat="server" MaxLength="255" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td><asp:RequiredFieldValidator ControlToValidate="txtBillAddress" ID="RequiredFieldValidator3" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>Address:</td>
                        <td>
                            <asp:TextBox ID="txtBillAddress" runat="server" MaxLength="255" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td><asp:RequiredFieldValidator ControlToValidate="txtBillCity" ID="RequiredFieldValidator4" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>City:</td>
                        <td>
                            <asp:TextBox ID="txtBillCity" runat="server" MaxLength="255" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td><asp:RequiredFieldValidator ControlToValidate="txtBillState" ID="RequiredFieldValidator5" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>State:</td>
                        <td>
                            <asp:TextBox ID="txtBillState" runat="server" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td><asp:RequiredFieldValidator ControlToValidate="txtBillCountry" ID="RequiredFieldValidator6" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>Country:</td>
                        <td>
                            <asp:TextBox ID="txtBillCountry" runat="server" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td><asp:RequiredFieldValidator ControlToValidate="txtBillZipCode" ID="RequiredFieldValidator7" runat="server" Display="Dynamic" ValidationGroup="valCheckout">*</asp:RequiredFieldValidator>Zip Code:</td>
                        <td>
                            <asp:TextBox ID="txtBillZipCode" runat="server" MaxLength="255" CssClass="inputBox" /><asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage=" Invalid zipcode" Display="Dynamic" ValidationExpression="\d{5}" ControlToValidate="txtBillZipCode" ValidationGroup="valCheckout" />
                        </td>
                    </tr>
                    <tr>
                        <td>Phone Number:</td>
                        <td>
                            <asp:TextBox ID="txtBillPhone" runat="server" MaxLength="255" CssClass="inputBox" />
                        </td>
                    </tr>
                    <tr>
                        <td>Card Number:</td>
                        <td>
                            <asp:TextBox ID="txtCardNumber" runat="server" MaxLength="255" CssClass="inputBox" ></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>Expiration Date:</td>
                        <td>
                            <asp:DropDownList ID="ddlExpMonth" runat="server">
                                <asp:ListItem>Month</asp:ListItem>
                                <asp:ListItem>01</asp:ListItem>
                                <asp:ListItem>02</asp:ListItem>
                                <asp:ListItem>03</asp:ListItem>
                                <asp:ListItem>04</asp:ListItem>
                                <asp:ListItem>05</asp:ListItem>
                                <asp:ListItem>06</asp:ListItem>
                                <asp:ListItem>07</asp:ListItem>
                                <asp:ListItem>08</asp:ListItem>
                                <asp:ListItem>09</asp:ListItem>
                                <asp:ListItem>10</asp:ListItem>
                                <asp:ListItem>11</asp:ListItem>
                                <asp:ListItem>12</asp:ListItem>
                            </asp:DropDownList>
                            <asp:DropDownList ID="ddlExpYear" runat="server">
                                <asp:ListItem>Year</asp:ListItem>
                                <asp:ListItem>2007</asp:ListItem>
                                <asp:ListItem>2008</asp:ListItem>
                                <asp:ListItem>2009</asp:ListItem>
                                <asp:ListItem>2010</asp:ListItem>
                                <asp:ListItem>2011</asp:ListItem>
                                <asp:ListItem>2012</asp:ListItem>
                                <asp:ListItem>2013</asp:ListItem>
                                <asp:ListItem>2014</asp:ListItem>
                                <asp:ListItem>2015</asp:ListItem>
                                <asp:ListItem>2016</asp:ListItem>
                                <asp:ListItem>2017</asp:ListItem>
                                <asp:ListItem>2018</asp:ListItem>
                                <asp:ListItem>2019</asp:ListItem>
                                <asp:ListItem>2020</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>Security Code:</td>
                        <td>
                            <asp:TextBox ID="txtCSC" runat="server" MaxLength="255" CssClass="inputBox"  />
                        </td>
                    </tr>
                </table>
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Step">
                Click the button below to attempt to reauthorize this order.
                <br />
                <br />                
                <asp:Button ID="btnReauthorize" runat="server" Text="Reauthorize" OnClick="btnReauthorize_Click" />
                <br />
                <br />
                <asp:Literal ID="litReauthorize" runat="server" />
                <br />
                <br />
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Finish">
                Click finish below to complete the wizard.
            </asp:WizardStep>
        </WizardSteps>
    </asp:Wizard>

</asp:Content>

