using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Reflection;
using System.Collections.Specialized;

public partial class Admin_Orders : WebBlocks.AdministrativePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            spOrders.BindData();
        }
    }

    protected WebControl spOrders_GetInputControl(string DataField)
    {
        switch (DataField)
        {
            case "StatusName":
                DropDownList ddl = new DropDownList();
                ddl.Items.Add(new ListItem("Received"));
                ddl.Items.Add(new ListItem("Shipped"));
                ddl.Items.Add(new ListItem("Cancelled"));
                ddl.Items.Add(new ListItem("Refunded"));
                ddl.Items.Add(new ListItem("Delayed"));
                ddl.Items.Add(new ListItem("Billing Error"));
                ddl.Items.Add(new ListItem("Pending Export"));
                ddl.Items.Add(new ListItem("Exported"));
                return ddl;
            default:
                return new TextBox();
        }
    }

    protected DataTable spOrders_RetrieveData()
    {
        return Database.Orders_GetAll();
    }
}
