using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;


namespace Admin
{
	public partial class ShowEventContents : WebBlocks.AdministrativePage
	{	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!Page.IsPostBack)
			{
                DataTable dt = Database.Events_GetAll();
				dgContents.DataSource = dt;
				dgContents.DataBind();

				//also assign a warning box
				foreach(DataGridItem dgi in dgContents.Items)
					if (dgi.Cells[2].Controls[0] is HyperLink)
						((HyperLink)dgi.Cells[2].Controls[0]).Attributes.Add("onclick", "return confirm('Are you sure you want to delete this event?');");
			}
		}
	}
}
