using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Estore.CustomizationControls
{
    public class FileUpload : CustomizationControlBase
    {
        private WebBlocks.FileUploadControl ctl;

        protected override void OnInit(EventArgs e)
        {
            ctl = new WebBlocks.FileUploadControl();
            ctl.CssClass = "customizationField";
            ctl.AutoPostback = false;
            ctl.Directory = "Resources/UploadedFiles/" + DateTime.Now.ToString("MM-dd-yyyy") + "/";
            Controls.Add(ctl);
            base.OnInit(e);
        }

        public override void BindOptions(DataTable dt)
        {
            // no binding
        }

        public override string Text
        {
            get
            {
                return ctl.Filename;
            }
        }

        public override decimal SelectedCustomizationCost
        {
            get
            {
                return 0;
            }
        }
    }
}