using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

[Serializable] public class ShippingMethod
{
    private string _name;
    private decimal _cost;
    private string _daysintransit = "";

    public string Name
    {
        get { return _name; }
        set { _name = value; }
    }

    public decimal Cost
    {
        get { return _cost; }
        set { _cost = value; }
    }

    public string DaysInTransit
    {
        get { return _daysintransit; }
        set { _daysintransit = value; }
    }

    public ShippingMethod(string n, decimal c)
	{
        _name = n;
        _cost = c;
	}
    public ShippingMethod(string n, decimal c, string d)
    {
        _name = n;
        _cost = c;
        _daysintransit = d;
    }

    public override string ToString()
    {
        if (_daysintransit.Length > 0)
            return _name + ": " + String.Format("{0:c}", _cost) + " (" + _daysintransit + ")";
        else
            return _name + ": " + String.Format("{0:c}", _cost);
    }
}
