using System;
using System.Data;
using System.Data.OleDb;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class ExcelReader
{
    private static string ExcelConnString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=[Data Source];Extended Properties=Excel 8.0";

    private string FilePath;

	public ExcelReader(string _FilePath)
	{
        FilePath = _FilePath;
	}

    public DataTable ExtractDataTable()
    {
        OleDbConnection excelConn = new OleDbConnection(ExcelConnString.Replace("[Data Source]", FilePath));

        DataTable dt = null;

        try
        {
            excelConn.Open();

            DataTable dtx = excelConn.GetOleDbSchemaTable(OleDbSchemaGuid.Tables, null);
            string TableName = (string)dtx.Rows[0][2];

            OleDbCommand excelCmd = new OleDbCommand("SELECT * FROM [" + TableName + "]", excelConn);
            OleDbDataAdapter excelAdapter = new OleDbDataAdapter(excelCmd);
            dt = new DataTable();
            excelAdapter.Fill(dt);
            excelAdapter.Dispose();
            excelCmd.Dispose();

            excelConn.Close();

        }
        catch { }

        return dt;
    }
}
