using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class OrderInfo
{
    public int OrderID = 0;
    public int CustomerID = 0;
    public int BillingAddressID = 0;
    public int ShippingAddressID = 0;
    public int OrderBillingAddressID = 0;
    public int OrderShippingAddressID = 0;
    public string PaymentMethod = "";

    public string Comments = "";


    #region CreditCard fields

    private string _CardName = "";
    public string CardName
    {
        get { return _CardName; }
        set { _CardName = value; }
    }

    private string _CardNumber = "";
    public string CardNumber
    {
        get { return _CardNumber; }
        set { _CardNumber = value; }
    }

    private string _SecurityCode = "";
    public string SecurityCode
    {
        get { return _SecurityCode; }
        set { _SecurityCode = value; }
    }

    private string _ExpMonth = "";
    public string ExpMonth
    {
        get { return _ExpMonth; }
        set { _ExpMonth = value; }
    }

    private string _ExpYear = "";
    public string ExpYear
    {
        get { return _ExpYear; }
        set { _ExpYear = value; }
    }

    #endregion

    #region PurchaseOrder fields
    private string _PurchaseOrderNumber;
    public string PurchaseOrderNumber
    {
        get { return _PurchaseOrderNumber; }
        set { _PurchaseOrderNumber = value; }
    }

    #endregion    
}
