/****** Object:  ForeignKey [FK_Addresses_Customers]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Addresses_Customers]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
ALTER TABLE [dbo].[Addresses] DROP CONSTRAINT [FK_Addresses_Customers]
GO
/****** Object:  ForeignKey [FK_CategoryProductMap_Categories]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_CategoryProductMap_Categories]') AND parent_object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]'))
ALTER TABLE [dbo].[CategorySelectorMap] DROP CONSTRAINT [FK_CategoryProductMap_Categories]
GO
/****** Object:  ForeignKey [FK_CategorySelectorMap_Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_CategorySelectorMap_Selectors]') AND parent_object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]'))
ALTER TABLE [dbo].[CategorySelectorMap] DROP CONSTRAINT [FK_CategorySelectorMap_Selectors]
GO
/****** Object:  ForeignKey [FK_CustomizationOptions_Customizations]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_CustomizationOptions_Customizations]') AND parent_object_id = OBJECT_ID(N'[dbo].[CustomizationOptions]'))
ALTER TABLE [dbo].[CustomizationOptions] DROP CONSTRAINT [FK_CustomizationOptions_Customizations]
GO
/****** Object:  ForeignKey [FK_OrderItems_Orders]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_OrderItems_Orders]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
ALTER TABLE [dbo].[OrderItems] DROP CONSTRAINT [FK_OrderItems_Orders]
GO
/****** Object:  ForeignKey [FK_Orders_OrderAddresses]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_OrderAddresses]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [FK_Orders_OrderAddresses]
GO
/****** Object:  ForeignKey [FK_Orders_OrderAddresses1]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_OrderAddresses1]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [FK_Orders_OrderAddresses1]
GO
/****** Object:  ForeignKey [FK_Orders_OrderStatus]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_OrderStatus]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [FK_Orders_OrderStatus]
GO
/****** Object:  ForeignKey [FK_PhotoSets_Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_PhotoSets_Selectors]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
ALTER TABLE [dbo].[PhotoSets] DROP CONSTRAINT [FK_PhotoSets_Selectors]
GO
/****** Object:  ForeignKey [FK_RelatedSelectors_Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_RelatedSelectors_Selectors]') AND parent_object_id = OBJECT_ID(N'[dbo].[RelatedSelectors]'))
ALTER TABLE [dbo].[RelatedSelectors] DROP CONSTRAINT [FK_RelatedSelectors_Selectors]
GO
/****** Object:  ForeignKey [FK_RelatedSelectors_Selectors1]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_RelatedSelectors_Selectors1]') AND parent_object_id = OBJECT_ID(N'[dbo].[RelatedSelectors]'))
ALTER TABLE [dbo].[RelatedSelectors] DROP CONSTRAINT [FK_RelatedSelectors_Selectors1]
GO
/****** Object:  Default [DF_Addresses_IsBilling]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_IsBilling]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] DROP CONSTRAINT [DF_Addresses_IsBilling]

End
GO
/****** Object:  Default [DF_Addresses_FirstName]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_FirstName]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] DROP CONSTRAINT [DF_Addresses_FirstName]

End
GO
/****** Object:  Default [DF_Addresses_LastName]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_LastName]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] DROP CONSTRAINT [DF_Addresses_LastName]

End
GO
/****** Object:  Default [DF_Addresses_Deleted]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_Deleted]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] DROP CONSTRAINT [DF_Addresses_Deleted]

End
GO
/****** Object:  Default [DF_AttributeGroups_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_AttributeGroups_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[AttributeGroups]'))
Begin
ALTER TABLE [dbo].[AttributeGroups] DROP CONSTRAINT [DF_AttributeGroups_SortOrder]

End
GO
/****** Object:  Default [DF_Attributes_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Attributes_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[Attributes]'))
Begin
ALTER TABLE [dbo].[Attributes] DROP CONSTRAINT [DF_Attributes_SortOrder]

End
GO
/****** Object:  Default [DF_Categories_UseCategoryLanding]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Categories_UseCategoryLanding]') AND parent_object_id = OBJECT_ID(N'[dbo].[Categories]'))
Begin
ALTER TABLE [dbo].[Categories] DROP CONSTRAINT [DF_Categories_UseCategoryLanding]

End
GO
/****** Object:  Default [DF_Categories_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Categories_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[Categories]'))
Begin
ALTER TABLE [dbo].[Categories] DROP CONSTRAINT [DF_Categories_SortOrder]

End
GO
/****** Object:  Default [DF_Categories_ProductCount]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Categories_ProductCount]') AND parent_object_id = OBJECT_ID(N'[dbo].[Categories]'))
Begin
ALTER TABLE [dbo].[Categories] DROP CONSTRAINT [DF_Categories_ProductCount]

End
GO
/****** Object:  Default [DF_CategoryProductMap_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_CategoryProductMap_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]'))
Begin
ALTER TABLE [dbo].[CategorySelectorMap] DROP CONSTRAINT [DF_CategoryProductMap_SortOrder]

End
GO
/****** Object:  Default [DF_ContactFormFields_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_ContactFormFields_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[ContactFormFields]'))
Begin
ALTER TABLE [dbo].[ContactFormFields] DROP CONSTRAINT [DF_ContactFormFields_SortOrder]

End
GO
/****** Object:  Default [DF_Content_Searchable]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Content_Searchable]') AND parent_object_id = OBJECT_ID(N'[dbo].[Content]'))
Begin
ALTER TABLE [dbo].[Content] DROP CONSTRAINT [DF_Content_Searchable]

End
GO
/****** Object:  Default [DF_Customers_OneTimeCustomer]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Customers_OneTimeCustomer]') AND parent_object_id = OBJECT_ID(N'[dbo].[Customers]'))
Begin
ALTER TABLE [dbo].[Customers] DROP CONSTRAINT [DF_Customers_OneTimeCustomer]

End
GO
/****** Object:  Default [DF_Customers_Active]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Customers_Active]') AND parent_object_id = OBJECT_ID(N'[dbo].[Customers]'))
Begin
ALTER TABLE [dbo].[Customers] DROP CONSTRAINT [DF_Customers_Active]

End
GO
/****** Object:  Default [DF_CustomizationOptions_Price]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_CustomizationOptions_Price]') AND parent_object_id = OBJECT_ID(N'[dbo].[CustomizationOptions]'))
Begin
ALTER TABLE [dbo].[CustomizationOptions] DROP CONSTRAINT [DF_CustomizationOptions_Price]

End
GO
/****** Object:  Default [DF_Customizations_ControlType]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Customizations_ControlType]') AND parent_object_id = OBJECT_ID(N'[dbo].[Customizations]'))
Begin
ALTER TABLE [dbo].[Customizations] DROP CONSTRAINT [DF_Customizations_ControlType]

End
GO
/****** Object:  Default [DF_Events_showOnHomepage]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Events_showOnHomepage]') AND parent_object_id = OBJECT_ID(N'[dbo].[Events]'))
Begin
ALTER TABLE [dbo].[Events] DROP CONSTRAINT [DF_Events_showOnHomepage]

End
GO
/****** Object:  Default [DF_Items_Inventory]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Inventory]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] DROP CONSTRAINT [DF_Items_Inventory]

End
GO
/****** Object:  Default [DF_Items_Name]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Name]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] DROP CONSTRAINT [DF_Items_Name]

End
GO
/****** Object:  Default [DF_Items_Weight]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Weight]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] DROP CONSTRAINT [DF_Items_Weight]

End
GO
/****** Object:  Default [DF_Items_Active]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Active]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] DROP CONSTRAINT [DF_Items_Active]

End
GO
/****** Object:  Default [DF_OrderAddresses_IsBilling]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderAddresses_IsBilling]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderAddresses]'))
Begin
ALTER TABLE [dbo].[OrderAddresses] DROP CONSTRAINT [DF_OrderAddresses_IsBilling]

End
GO
/****** Object:  Default [DF_OrderItems_Price]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderItems_Price]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
Begin
ALTER TABLE [dbo].[OrderItems] DROP CONSTRAINT [DF_OrderItems_Price]

End
GO
/****** Object:  Default [DF_OrderItems_Weight]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderItems_Weight]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
Begin
ALTER TABLE [dbo].[OrderItems] DROP CONSTRAINT [DF_OrderItems_Weight]

End
GO
/****** Object:  Default [DF_OrderItems_Quantity]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderItems_Quantity]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
Begin
ALTER TABLE [dbo].[OrderItems] DROP CONSTRAINT [DF_OrderItems_Quantity]

End
GO
/****** Object:  Default [DF_Orders_IsAuthorized]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_IsAuthorized]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_IsAuthorized]

End
GO
/****** Object:  Default [DF_Orders_IsCaptured]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_IsCaptured]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_IsCaptured]

End
GO
/****** Object:  Default [DF_Orders_PaymentMethod_1]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_PaymentMethod_1]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_PaymentMethod_1]

End
GO
/****** Object:  Default [DF_Orders_OrderStatusID]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_OrderStatusID]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_OrderStatusID]

End
GO
/****** Object:  Default [DF_Orders_TimeStamp]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_TimeStamp]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_TimeStamp]

End
GO
/****** Object:  Default [DF_Orders_UserComments]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_UserComments]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_UserComments]

End
GO
/****** Object:  Default [DF_Orders_AdminComments]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_AdminComments]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_AdminComments]

End
GO
/****** Object:  Default [DF_Orders_RefundAmount]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_RefundAmount]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] DROP CONSTRAINT [DF_Orders_RefundAmount]

End
GO
/****** Object:  Default [DF_PhotoSets_ProductID]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_PhotoSets_ProductID]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
Begin
ALTER TABLE [dbo].[PhotoSets] DROP CONSTRAINT [DF_PhotoSets_ProductID]

End
GO
/****** Object:  Default [DF_PhotoSets_Caption]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_PhotoSets_Caption]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
Begin
ALTER TABLE [dbo].[PhotoSets] DROP CONSTRAINT [DF_PhotoSets_Caption]

End
GO
/****** Object:  Default [DF_PhotoSets_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_PhotoSets_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
Begin
ALTER TABLE [dbo].[PhotoSets] DROP CONSTRAINT [DF_PhotoSets_SortOrder]

End
GO
/****** Object:  Default [DF_Selectors_SelectorType]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Selectors_SelectorType]') AND parent_object_id = OBJECT_ID(N'[dbo].[Selectors]'))
Begin
ALTER TABLE [dbo].[Selectors] DROP CONSTRAINT [DF_Selectors_SelectorType]

End
GO
/****** Object:  StoredProcedure [dbo].[GetBreadcrumbTrail]    Script Date: 09/11/2008 16:31:14 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetBreadcrumbTrail]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[GetBreadcrumbTrail]
GO
/****** Object:  StoredProcedure [dbo].[AutoNewTextBlock]    Script Date: 09/11/2008 16:31:14 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AutoNewTextBlock]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[AutoNewTextBlock]
GO
/****** Object:  Table [dbo].[Addresses]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Addresses]') AND type in (N'U'))
DROP TABLE [dbo].[Addresses]
GO
/****** Object:  Table [dbo].[RelatedSelectors]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[RelatedSelectors]') AND type in (N'U'))
DROP TABLE [dbo].[RelatedSelectors]
GO
/****** Object:  Table [dbo].[PhotoSets]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PhotoSets]') AND type in (N'U'))
DROP TABLE [dbo].[PhotoSets]
GO
/****** Object:  Table [dbo].[CategorySelectorMap]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]') AND type in (N'U'))
DROP TABLE [dbo].[CategorySelectorMap]
GO
/****** Object:  Table [dbo].[CustomizationOptions]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CustomizationOptions]') AND type in (N'U'))
DROP TABLE [dbo].[CustomizationOptions]
GO
/****** Object:  Table [dbo].[OrderItems]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderItems]') AND type in (N'U'))
DROP TABLE [dbo].[OrderItems]
GO
/****** Object:  Table [dbo].[Orders]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Orders]') AND type in (N'U'))
DROP TABLE [dbo].[Orders]
GO
/****** Object:  Table [dbo].[Customers]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Customers]') AND type in (N'U'))
DROP TABLE [dbo].[Customers]
GO
/****** Object:  Table [dbo].[OrderAddresses]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderAddresses]') AND type in (N'U'))
DROP TABLE [dbo].[OrderAddresses]
GO
/****** Object:  Table [dbo].[Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Selectors]') AND type in (N'U'))
DROP TABLE [dbo].[Selectors]
GO
/****** Object:  Table [dbo].[Discounts]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Discounts]') AND type in (N'U'))
DROP TABLE [dbo].[Discounts]
GO
/****** Object:  UserDefinedFunction [dbo].[getAllChildrenCategories]    Script Date: 09/11/2008 16:31:14 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[getAllChildrenCategories]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[getAllChildrenCategories]
GO
/****** Object:  Table [dbo].[DiscountItemMap]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[DiscountItemMap]') AND type in (N'U'))
DROP TABLE [dbo].[DiscountItemMap]
GO
/****** Object:  UserDefinedFunction [dbo].[getTopLevelCategoryParent]    Script Date: 09/11/2008 16:31:14 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[getTopLevelCategoryParent]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[getTopLevelCategoryParent]
GO
/****** Object:  Table [dbo].[Categories]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Categories]') AND type in (N'U'))
DROP TABLE [dbo].[Categories]
GO
/****** Object:  Table [dbo].[ContactFormSubmissions]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactFormSubmissions]') AND type in (N'U'))
DROP TABLE [dbo].[ContactFormSubmissions]
GO
/****** Object:  Table [dbo].[Attributes]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Attributes]') AND type in (N'U'))
DROP TABLE [dbo].[Attributes]
GO
/****** Object:  Table [dbo].[AttributeSelectorMap]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AttributeSelectorMap]') AND type in (N'U'))
DROP TABLE [dbo].[AttributeSelectorMap]
GO
/****** Object:  Table [dbo].[VolumePricingTableItem]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VolumePricingTableItem]') AND type in (N'U'))
DROP TABLE [dbo].[VolumePricingTableItem]
GO
/****** Object:  Table [dbo].[VolumePricingTable]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VolumePricingTable]') AND type in (N'U'))
DROP TABLE [dbo].[VolumePricingTable]
GO
/****** Object:  Table [dbo].[AttributeGroups]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AttributeGroups]') AND type in (N'U'))
DROP TABLE [dbo].[AttributeGroups]
GO
/****** Object:  Table [dbo].[OrderDiscounts]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderDiscounts]') AND type in (N'U'))
DROP TABLE [dbo].[OrderDiscounts]
GO
/****** Object:  Table [dbo].[ContentPages]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContentPages]') AND type in (N'U'))
DROP TABLE [dbo].[ContentPages]
GO
/****** Object:  Table [dbo].[ContactFormSubmissionData]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactFormSubmissionData]') AND type in (N'U'))
DROP TABLE [dbo].[ContactFormSubmissionData]
GO
/****** Object:  Table [dbo].[ContactForms]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactForms]') AND type in (N'U'))
DROP TABLE [dbo].[ContactForms]
GO
/****** Object:  Table [dbo].[OrderStatus]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderStatus]') AND type in (N'U'))
DROP TABLE [dbo].[OrderStatus]
GO
/****** Object:  Table [dbo].[ContactFormFields]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactFormFields]') AND type in (N'U'))
DROP TABLE [dbo].[ContactFormFields]
GO
/****** Object:  Table [dbo].[Variables]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Variables]') AND type in (N'U'))
DROP TABLE [dbo].[Variables]
GO
/****** Object:  Table [dbo].[Drafts]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Drafts]') AND type in (N'U'))
DROP TABLE [dbo].[Drafts]
GO
/****** Object:  Table [dbo].[Customizations]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Customizations]') AND type in (N'U'))
DROP TABLE [dbo].[Customizations]
GO
/****** Object:  Table [dbo].[Events]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Events]') AND type in (N'U'))
DROP TABLE [dbo].[Events]
GO
/****** Object:  Table [dbo].[Items]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Items]') AND type in (N'U'))
DROP TABLE [dbo].[Items]
GO
/****** Object:  Table [dbo].[Content]    Script Date: 09/11/2008 16:31:13 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Content]') AND type in (N'U'))
DROP TABLE [dbo].[Content]
GO
/****** Object:  Table [dbo].[Content]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Content]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Content](
	[ContentTitle] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ContentValue] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Location] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[Searchable] [bit] NOT NULL,
	[DraftID] [int] NULL
)
END
GO
/****** Object:  Table [dbo].[Items]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Items]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Items](
	[ItemID] [int] IDENTITY(1,1) NOT NULL,
	[SelectorID] [int] NOT NULL,
	[Inventory] [int] NOT NULL,
	[SKU] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Name] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Price] [money] NOT NULL,
	[Weight] [float] NOT NULL,
	[VolumePricingTableID] [int] NULL,
	[Active] [bit] NOT NULL,
 CONSTRAINT [PK_Items] PRIMARY KEY CLUSTERED 
(
	[ItemID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Events]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Events]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Events](
	[EventID] [int] IDENTITY(1,1) NOT NULL,
	[Category] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[Title] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Date] [datetime] NULL,
	[FullText] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[showOnHomepage] [bit] NOT NULL,
	[ShortDescription] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 CONSTRAINT [PK_Events] PRIMARY KEY CLUSTERED 
(
	[EventID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Customizations]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Customizations]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Customizations](
	[CustomizationID] [int] IDENTITY(1,1) NOT NULL,
	[SelectorID] [int] NOT NULL,
	[Name] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Prompt] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ControlType] [int] NOT NULL,
 CONSTRAINT [PK_Customizations] PRIMARY KEY CLUSTERED 
(
	[CustomizationID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Drafts]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Drafts]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Drafts](
	[DraftID] [int] IDENTITY(1,1) NOT NULL,
	[ContentTitle] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ContentValue] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
 CONSTRAINT [PK_Drafts_1] PRIMARY KEY CLUSTERED 
(
	[DraftID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Variables]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Variables]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Variables](
	[Variable] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Value] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Options] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 CONSTRAINT [PK_Variables] PRIMARY KEY CLUSTERED 
(
	[Variable] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'AuthorizeAndCapture', N'Off', N'Off,On')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'AuthorizeNET.LoginID', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'AuthorizeNET.TransactionKey', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'BrowsePageSize', N'16', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Emails.FromName', N'webMarket Pro', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Emails.OrderAdmin', N'mjdunn@webadvanced.com', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Emails.ReplyEmail', N'no-reply@webadvanced.com', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.AuthorizeNET.LoginID', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.AuthorizeNET.TransactionKey', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.OrderEmail.RecipientAddress', N'mjdunn@webadvanced.com', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.PayflowPro.Partner', N'VeriSign', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.PayflowPro.Password', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.PayflowPro.User', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.PayflowPro.Vendor', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Gateways.PaymentGateway', N'Order Email', N'Authorize.NET,PayFlowPro,Order Email')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'LoginPassword', N'1234', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Payment.AcceptedCards', N'Visa,Mastercard,American Express', N'Visa,Mastercard,American Express,Discover,JCB,Diners Club')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Payment.AllowedPaymentTypes', N'Credit Card', N'Credit Card,PO Number')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.LargeHeight', N'600', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.LargeWidth', N'800', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.MediumHeight', N'300', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.MediumWidth', N'300', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.SmallHeight', N'105', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.SmallWidth', N'105', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.TinyHeight', N'30', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Photos.TinyWidth', N'30', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FedEx.AccountNumber', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FedEx.MeterNumber', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FedEx.OriginState', N'CA', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FedEx.URL', N'https://gatewaybeta.fedex.com/GatewayDC', N'https://gatewaybeta.fedex.com/GatewayDC,https://gateway.fedex.com/GatewayDC')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FlatRate.Cost', N'22.00', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FlatRate.ShipTime', N'7-10 days', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.FreeShippingAmount', N'500.00', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.HandlingFee', N'3.00', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.Method', N'USPS', N'FlatRate,USPS,UPS')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.SourceZip', N'92612', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.UPS.Password', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.UPS.ServicesSupported', N'', N'01,02,03,12,13,14,59,65')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.UPS.UserID', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.UPS.XMLAccessKey', N'', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Shipping.USPS.ServicesSupported', N'Express Mail,Priority Mail,Priority Mail Flat-Rate Envelope', N'Express Mail,Express Mail Flat-Rate Envelope,Priority Mail,Priority Mail Flat-Rate Envelope,Priority Mail Flat-Rate Box,Media Mail')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Tax.Enable', N'True', N'True,False')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Tax.Rate', N'7.75', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'Tax.State', N'CA', NULL)
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'TestMode', N'On', N'On,Off')
INSERT [dbo].[Variables] ([Variable], [Value], [Options]) VALUES (N'UseSSL', N'Off', N'On,Off')
/****** Object:  Table [dbo].[ContactFormFields]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactFormFields]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ContactFormFields](
	[ContactFormFieldID] [int] IDENTITY(1,1) NOT NULL,
	[ContactFormID] [int] NOT NULL,
	[FieldType] [int] NOT NULL,
	[Label] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Options] [varchar](2000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Validation] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Required] [bit] NOT NULL,
	[SortOrder] [int] NOT NULL,
 CONSTRAINT [PK_ContactFormFields] PRIMARY KEY CLUSTERED 
(
	[ContactFormFieldID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[OrderStatus]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderStatus]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[OrderStatus](
	[OrderStatusID] [int] IDENTITY(1,1) NOT NULL,
	[StatusName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
 CONSTRAINT [PK_OrderStatus] PRIMARY KEY CLUSTERED 
(
	[OrderStatusID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
SET IDENTITY_INSERT [dbo].[OrderStatus] ON
INSERT [dbo].[OrderStatus] ([OrderStatusID], [StatusName]) VALUES (1, N'Received')
INSERT [dbo].[OrderStatus] ([OrderStatusID], [StatusName]) VALUES (3, N'Shipped')
INSERT [dbo].[OrderStatus] ([OrderStatusID], [StatusName]) VALUES (4, N'Cancelled')
INSERT [dbo].[OrderStatus] ([OrderStatusID], [StatusName]) VALUES (5, N'Refunded')
INSERT [dbo].[OrderStatus] ([OrderStatusID], [StatusName]) VALUES (6, N'Delayed')
INSERT [dbo].[OrderStatus] ([OrderStatusID], [StatusName]) VALUES (8, N'Billing Error')
SET IDENTITY_INSERT [dbo].[OrderStatus] OFF
/****** Object:  Table [dbo].[ContactForms]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactForms]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ContactForms](
	[ContactFormID] [int] IDENTITY(1,1) NOT NULL,
	[BlockTitle] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Subject] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[FromName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[FromAddress] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[RecipientAddresses] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ThankYouMessage] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 CONSTRAINT [PK_ContactForms] PRIMARY KEY CLUSTERED 
(
	[ContactFormID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[ContactFormSubmissionData]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactFormSubmissionData]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ContactFormSubmissionData](
	[ContactFormSubmissionDataID] [int] IDENTITY(1,1) NOT NULL,
	[ContactFormSubmissionID] [int] NOT NULL,
	[Label] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Value] [varchar](4000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
 CONSTRAINT [PK_ContactFormSubmissionData] PRIMARY KEY CLUSTERED 
(
	[ContactFormSubmissionDataID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[ContentPages]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContentPages]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ContentPages](
	[ContentPageID] [int] IDENTITY(1,1) NOT NULL,
	[RewriteString] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[PageTitle] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
 CONSTRAINT [PK_ContentPages] PRIMARY KEY CLUSTERED 
(
	[ContentPageID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[OrderDiscounts]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderDiscounts]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[OrderDiscounts](
	[OrderDiscountID] [int] IDENTITY(1,1) NOT NULL,
	[OrderID] [int] NOT NULL,
	[DiscountName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DiscountAmount] [money] NOT NULL,
 CONSTRAINT [PK_OrderDiscounts] PRIMARY KEY CLUSTERED 
(
	[OrderDiscountID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[AttributeGroups]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AttributeGroups]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[AttributeGroups](
	[AttributeGroupID] [int] IDENTITY(1,1) NOT NULL,
	[GroupName] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[SortOrder] [int] NOT NULL,
 CONSTRAINT [PK_AttributeGroups] PRIMARY KEY CLUSTERED 
(
	[AttributeGroupID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[VolumePricingTable]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VolumePricingTable]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[VolumePricingTable](
	[VolumePricingTableID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
 CONSTRAINT [PK_VolumePricingTable] PRIMARY KEY CLUSTERED 
(
	[VolumePricingTableID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[VolumePricingTableItem]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[VolumePricingTableItem]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[VolumePricingTableItem](
	[VolumePricingTableItemID] [int] IDENTITY(1,1) NOT NULL,
	[VolumePricingTableID] [int] NOT NULL,
	[Quantity] [int] NOT NULL,
	[Price] [money] NOT NULL,
 CONSTRAINT [PK_Table_1] PRIMARY KEY CLUSTERED 
(
	[VolumePricingTableItemID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[AttributeSelectorMap]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AttributeSelectorMap]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[AttributeSelectorMap](
	[AttributeID] [int] NOT NULL,
	[SelectorID] [int] NOT NULL,
 CONSTRAINT [PK_AttributeSelectorMap] PRIMARY KEY CLUSTERED 
(
	[AttributeID] ASC,
	[SelectorID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Attributes]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Attributes]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Attributes](
	[AttributeID] [int] IDENTITY(1,1) NOT NULL,
	[AttributeGroupID] [int] NOT NULL,
	[Name] [nvarchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[SortOrder] [int] NOT NULL,
 CONSTRAINT [PK_Attributes] PRIMARY KEY CLUSTERED 
(
	[AttributeID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[ContactFormSubmissions]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ContactFormSubmissions]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ContactFormSubmissions](
	[ContactFormSubmissionID] [int] IDENTITY(1,1) NOT NULL,
	[ContactFormID] [int] NOT NULL,
	[ErrorMessage] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[TimeStamp] [datetime] NOT NULL,
 CONSTRAINT [PK_ContactFormSubmissions] PRIMARY KEY CLUSTERED 
(
	[ContactFormSubmissionID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Categories]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Categories]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Categories](
	[CategoryID] [int] IDENTITY(1,1) NOT NULL,
	[ParentCategoryID] [int] NULL,
	[CategoryName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[UseCategoryLanding] [bit] NOT NULL,
	[SortOrder] [int] NOT NULL,
	[CanonicalName] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ProductCount] [int] NOT NULL,
 CONSTRAINT [PK_Categories] PRIMARY KEY CLUSTERED 
(
	[CategoryID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  UserDefinedFunction [dbo].[getTopLevelCategoryParent]    Script Date: 09/11/2008 16:31:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[getTopLevelCategoryParent]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
BEGIN
execute dbo.sp_executesql @statement = N'

CREATE FUNCTION [dbo].[getTopLevelCategoryParent]
(
	@ChildID int
)
RETURNS int
AS
BEGIN

	-- Traverse up the tree until we find the top level parent
	DECLARE @TopLevelFound bit
	SELECT @TopLevelFound = 0
	WHILE(@TopLevelFound = 0)
	BEGIN
		DECLARE @TempParent int
		SELECT @TempParent = ParentCategoryID FROM Categories WHERE CategoryID = @ChildID
		IF(@TempParent <> 0)
			SELECT @ChildID = @TempParent
		ELSE
			SELECT @TopLevelFound = 1			
	END

	RETURN @ChildID
END

' 
END
GO
/****** Object:  Table [dbo].[DiscountItemMap]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[DiscountItemMap]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[DiscountItemMap](
	[DiscountID] [int] NOT NULL,
	[ItemID] [int] NOT NULL,
 CONSTRAINT [PK_DiscountItemMap] PRIMARY KEY CLUSTERED 
(
	[DiscountID] ASC,
	[ItemID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  UserDefinedFunction [dbo].[getAllChildrenCategories]    Script Date: 09/11/2008 16:31:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[getAllChildrenCategories]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
BEGIN
execute dbo.sp_executesql @statement = N'CREATE FUNCTION [dbo].[getAllChildrenCategories]
(
	@ParentID int
)
RETURNS @children TABLE (childID int) 
AS
BEGIN

	DECLARE @queue TABLE (childID int)

	INSERT INTO @queue SELECT @ParentID

	WHILE((SELECT Count(*) FROM @queue) > 0)
	BEGIN
		DECLARE @tempParent int
		SELECT TOP 1 @tempParent = childID FROM @queue
		DELETE FROM @queue WHERE childID = @tempParent

		INSERT INTO @children SELECT CategoryID FROM Categories WHERE ParentCategoryID = @tempParent
		INSERT INTO @queue SELECT CategoryID FROM Categories WHERE ParentCategoryID = @tempParent
	END

	RETURN
END
' 
END
GO
/****** Object:  Table [dbo].[Discounts]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Discounts]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Discounts](
	[DiscountID] [int] IDENTITY(1,1) NOT NULL,
	[DiscountTitle] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[DiscountCode] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[StartDate] [datetime] NOT NULL,
	[EndDate] [datetime] NOT NULL,
	[IsOneTimeDiscount] [bit] NOT NULL,
	[Redeemed] [bit] NOT NULL,
	[RequiredSubtotal] [money] NOT NULL,
	[DiscountDollarAmount] [money] NOT NULL,
	[DiscountPercentage] [int] NOT NULL,
	[GrantsFreeShipping] [bit] NOT NULL,
	[AppliesToAllItems] [bit] NOT NULL,
 CONSTRAINT [PK_Discounts] PRIMARY KEY CLUSTERED 
(
	[DiscountID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Selectors]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Selectors]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Selectors](
	[SelectorID] [int] IDENTITY(1,1) NOT NULL,
	[SelectorType] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[SKU] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[Name] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Description] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[TextPrice] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Active] [bit] NOT NULL,
	[Browsable] [bit] NOT NULL,
 CONSTRAINT [PK_Selectors] PRIMARY KEY CLUSTERED 
(
	[SelectorID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[OrderAddresses]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderAddresses]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[OrderAddresses](
	[OrderAddressID] [int] IDENTITY(1,1) NOT NULL,
	[IsBilling] [bit] NOT NULL,
	[FirstName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[LastName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Address] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[City] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[State] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Country] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ZipCode] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Phone] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[EmailAddress] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 CONSTRAINT [PK_OrderAddresses] PRIMARY KEY CLUSTERED 
(
	[OrderAddressID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Customers]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Customers]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Customers](
	[CustomerID] [int] IDENTITY(1,1) NOT NULL,
	[EmailAddress] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Password] [varbinary](255) NOT NULL,
	[OneTimeCustomer] [bit] NOT NULL,
	[Active] [bit] NOT NULL,
 CONSTRAINT [PK_Customers] PRIMARY KEY CLUSTERED 
(
	[CustomerID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Orders]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Orders]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Orders](
	[OrderID] [int] IDENTITY(1,1) NOT NULL,
	[CustomerID] [int] NOT NULL,
	[BillingAddressID] [int] NOT NULL,
	[ShippingAddressID] [int] NOT NULL,
	[IsAuthorized] [bit] NOT NULL,
	[IsCaptured] [bit] NOT NULL,
	[PaymentRefCode] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[LastResponseCode] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[LastResponseText] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[PaymentMethod] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[PONumber] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[CardType] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[LastFour] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[TaxAmount] [money] NOT NULL,
	[ShippingAmount] [money] NOT NULL,
	[ShippingMethod] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Amount] [money] NOT NULL,
	[IPAddress] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[OrderStatusID] [int] NOT NULL,
	[DateShipped] [datetime] NULL,
	[TimeStamp] [datetime] NOT NULL,
	[UserComments] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[AdminComments] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[TrackingNumber] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[RefundAmount] [money] NOT NULL,
 CONSTRAINT [PK_Orders] PRIMARY KEY CLUSTERED 
(
	[OrderID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[OrderItems]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OrderItems]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[OrderItems](
	[OrderItemID] [int] IDENTITY(1,1) NOT NULL,
	[OrderID] [int] NOT NULL,
	[SKU] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Name] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Price] [money] NOT NULL,
	[Weight] [int] NOT NULL,
	[Quantity] [int] NOT NULL,
	[Customization] [varchar](4000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
 CONSTRAINT [PK_OrderItems] PRIMARY KEY CLUSTERED 
(
	[OrderItemID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[CustomizationOptions]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CustomizationOptions]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[CustomizationOptions](
	[CustomizationOptionID] [int] IDENTITY(1,1) NOT NULL,
	[CustomizationID] [int] NOT NULL,
	[OptionName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Price] [money] NOT NULL,
 CONSTRAINT [PK_CustomizationOptions] PRIMARY KEY CLUSTERED 
(
	[CustomizationOptionID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[CategorySelectorMap]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[CategorySelectorMap](
	[CategorySelectorMapID] [int] IDENTITY(1,1) NOT NULL,
	[SelectorID] [int] NOT NULL,
	[CategoryID] [int] NOT NULL,
	[SortOrder] [int] NOT NULL,
 CONSTRAINT [PK_CategoryProductMap] PRIMARY KEY CLUSTERED 
(
	[CategorySelectorMapID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[PhotoSets]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PhotoSets]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[PhotoSets](
	[PhotoSetID] [int] IDENTITY(1,1) NOT NULL,
	[SelectorID] [int] NOT NULL,
	[Filename] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Caption] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[SortOrder] [int] NOT NULL,
 CONSTRAINT [PK_PhotoSets] PRIMARY KEY CLUSTERED 
(
	[PhotoSetID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[RelatedSelectors]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[RelatedSelectors]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[RelatedSelectors](
	[SelectorID] [int] NOT NULL,
	[RelatedSelectorID] [int] NOT NULL,
 CONSTRAINT [PK_RelatedSelectors] PRIMARY KEY CLUSTERED 
(
	[SelectorID] ASC,
	[RelatedSelectorID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  Table [dbo].[Addresses]    Script Date: 09/11/2008 16:31:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Addresses]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Addresses](
	[AddressID] [int] IDENTITY(1,1) NOT NULL,
	[CustomerID] [int] NOT NULL,
	[IsBilling] [bit] NOT NULL,
	[FirstName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[LastName] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Address] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[City] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[State] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Country] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[ZipCode] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[Phone] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
	[EmailAddress] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[Deleted] [bit] NOT NULL,
 CONSTRAINT [PK_Addresses] PRIMARY KEY CLUSTERED 
(
	[AddressID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF)
)
END
GO
/****** Object:  StoredProcedure [dbo].[AutoNewTextBlock]    Script Date: 09/11/2008 16:31:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AutoNewTextBlock]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'CREATE PROCEDURE [dbo].[AutoNewTextBlock]
(
@ContentTitle varchar(255),
@ContentValue text = ''New Text Block'',
@PageLocation varchar(255)
)
AS

INSERT INTO Content (ContentTitle, ContentValue, Location, Searchable)
VALUES (@ContentTitle, @ContentValue, @PageLocation, 1)

SELECT @@IDENTITY;

RETURN

' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetBreadcrumbTrail]    Script Date: 09/11/2008 16:31:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetBreadcrumbTrail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'

CREATE PROCEDURE [dbo].[GetBreadcrumbTrail]
@BaseCategoryID int = 0,
@SelectedCategoryID int = null,
@IncludeBase bit = 0
AS
BEGIN

	IF (@IncludeBase = 0)
	BEGIN
		WITH Heirarchy(CategoryID, CategoryName, ParentCategoryID)
		AS
		(
			SELECT CategoryID, CategoryName, ParentCategoryID
			FROM Categories
			WHERE CategoryID = @SelectedCategoryID
			UNION ALL
			SELECT L2.CategoryID, L2.CategoryName, L2.ParentCategoryID
			FROM Categories L2 INNER JOIN Heirarchy ON L2.CategoryID = Heirarchy.ParentCategoryID
			WHERE L2.CategoryID <> @BaseCategoryID
		)
		SELECT * FROM Heirarchy
	END
	ELSE
	BEGIN
		WITH Heirarchy(CategoryID, CategoryName, ParentCategoryID)
		AS
		(
			SELECT CategoryID, CategoryName, ParentCategoryID
			FROM Categories
			WHERE CategoryID = @SelectedCategoryID
			UNION ALL
			SELECT L2.CategoryID, L2.CategoryName, L2.ParentCategoryID
			FROM Categories L2 INNER JOIN Heirarchy ON L2.CategoryID = Heirarchy.ParentCategoryID
			WHERE Heirarchy.CategoryID <> @BaseCategoryID
		)
		SELECT * FROM Heirarchy
	END

END



' 
END
GO
/****** Object:  Default [DF_Addresses_IsBilling]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_IsBilling]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] ADD  CONSTRAINT [DF_Addresses_IsBilling]  DEFAULT ((0)) FOR [IsBilling]

End
GO
/****** Object:  Default [DF_Addresses_FirstName]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_FirstName]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] ADD  CONSTRAINT [DF_Addresses_FirstName]  DEFAULT ('') FOR [FirstName]

End
GO
/****** Object:  Default [DF_Addresses_LastName]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_LastName]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] ADD  CONSTRAINT [DF_Addresses_LastName]  DEFAULT ('') FOR [LastName]

End
GO
/****** Object:  Default [DF_Addresses_Deleted]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Addresses_Deleted]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
Begin
ALTER TABLE [dbo].[Addresses] ADD  CONSTRAINT [DF_Addresses_Deleted]  DEFAULT ((0)) FOR [Deleted]

End
GO
/****** Object:  Default [DF_AttributeGroups_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_AttributeGroups_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[AttributeGroups]'))
Begin
ALTER TABLE [dbo].[AttributeGroups] ADD  CONSTRAINT [DF_AttributeGroups_SortOrder]  DEFAULT ((0)) FOR [SortOrder]

End
GO
/****** Object:  Default [DF_Attributes_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Attributes_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[Attributes]'))
Begin
ALTER TABLE [dbo].[Attributes] ADD  CONSTRAINT [DF_Attributes_SortOrder]  DEFAULT ((0)) FOR [SortOrder]

End
GO
/****** Object:  Default [DF_Categories_UseCategoryLanding]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Categories_UseCategoryLanding]') AND parent_object_id = OBJECT_ID(N'[dbo].[Categories]'))
Begin
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_UseCategoryLanding]  DEFAULT ((0)) FOR [UseCategoryLanding]

End
GO
/****** Object:  Default [DF_Categories_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Categories_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[Categories]'))
Begin
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_SortOrder]  DEFAULT ((999)) FOR [SortOrder]

End
GO
/****** Object:  Default [DF_Categories_ProductCount]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Categories_ProductCount]') AND parent_object_id = OBJECT_ID(N'[dbo].[Categories]'))
Begin
ALTER TABLE [dbo].[Categories] ADD  CONSTRAINT [DF_Categories_ProductCount]  DEFAULT ((0)) FOR [ProductCount]

End
GO
/****** Object:  Default [DF_CategoryProductMap_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_CategoryProductMap_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]'))
Begin
ALTER TABLE [dbo].[CategorySelectorMap] ADD  CONSTRAINT [DF_CategoryProductMap_SortOrder]  DEFAULT ((0)) FOR [SortOrder]

End
GO
/****** Object:  Default [DF_ContactFormFields_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_ContactFormFields_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[ContactFormFields]'))
Begin
ALTER TABLE [dbo].[ContactFormFields] ADD  CONSTRAINT [DF_ContactFormFields_SortOrder]  DEFAULT ((0)) FOR [SortOrder]

End
GO
/****** Object:  Default [DF_Content_Searchable]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Content_Searchable]') AND parent_object_id = OBJECT_ID(N'[dbo].[Content]'))
Begin
ALTER TABLE [dbo].[Content] ADD  CONSTRAINT [DF_Content_Searchable]  DEFAULT ((0)) FOR [Searchable]

End
GO
/****** Object:  Default [DF_Customers_OneTimeCustomer]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Customers_OneTimeCustomer]') AND parent_object_id = OBJECT_ID(N'[dbo].[Customers]'))
Begin
ALTER TABLE [dbo].[Customers] ADD  CONSTRAINT [DF_Customers_OneTimeCustomer]  DEFAULT ((0)) FOR [OneTimeCustomer]

End
GO
/****** Object:  Default [DF_Customers_Active]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Customers_Active]') AND parent_object_id = OBJECT_ID(N'[dbo].[Customers]'))
Begin
ALTER TABLE [dbo].[Customers] ADD  CONSTRAINT [DF_Customers_Active]  DEFAULT ((1)) FOR [Active]

End
GO
/****** Object:  Default [DF_CustomizationOptions_Price]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_CustomizationOptions_Price]') AND parent_object_id = OBJECT_ID(N'[dbo].[CustomizationOptions]'))
Begin
ALTER TABLE [dbo].[CustomizationOptions] ADD  CONSTRAINT [DF_CustomizationOptions_Price]  DEFAULT ((0)) FOR [Price]

End
GO
/****** Object:  Default [DF_Customizations_ControlType]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Customizations_ControlType]') AND parent_object_id = OBJECT_ID(N'[dbo].[Customizations]'))
Begin
ALTER TABLE [dbo].[Customizations] ADD  CONSTRAINT [DF_Customizations_ControlType]  DEFAULT ((1)) FOR [ControlType]

End
GO
/****** Object:  Default [DF_Events_showOnHomepage]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Events_showOnHomepage]') AND parent_object_id = OBJECT_ID(N'[dbo].[Events]'))
Begin
ALTER TABLE [dbo].[Events] ADD  CONSTRAINT [DF_Events_showOnHomepage]  DEFAULT ((1)) FOR [showOnHomepage]

End
GO
/****** Object:  Default [DF_Items_Inventory]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Inventory]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] ADD  CONSTRAINT [DF_Items_Inventory]  DEFAULT ((-1)) FOR [Inventory]

End
GO
/****** Object:  Default [DF_Items_Name]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Name]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] ADD  CONSTRAINT [DF_Items_Name]  DEFAULT ('Generated') FOR [Name]

End
GO
/****** Object:  Default [DF_Items_Weight]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Weight]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] ADD  CONSTRAINT [DF_Items_Weight]  DEFAULT ((0)) FOR [Weight]

End
GO
/****** Object:  Default [DF_Items_Active]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Items_Active]') AND parent_object_id = OBJECT_ID(N'[dbo].[Items]'))
Begin
ALTER TABLE [dbo].[Items] ADD  CONSTRAINT [DF_Items_Active]  DEFAULT ((1)) FOR [Active]

End
GO
/****** Object:  Default [DF_OrderAddresses_IsBilling]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderAddresses_IsBilling]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderAddresses]'))
Begin
ALTER TABLE [dbo].[OrderAddresses] ADD  CONSTRAINT [DF_OrderAddresses_IsBilling]  DEFAULT ((0)) FOR [IsBilling]

End
GO
/****** Object:  Default [DF_OrderItems_Price]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderItems_Price]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
Begin
ALTER TABLE [dbo].[OrderItems] ADD  CONSTRAINT [DF_OrderItems_Price]  DEFAULT ((0)) FOR [Price]

End
GO
/****** Object:  Default [DF_OrderItems_Weight]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderItems_Weight]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
Begin
ALTER TABLE [dbo].[OrderItems] ADD  CONSTRAINT [DF_OrderItems_Weight]  DEFAULT ((0)) FOR [Weight]

End
GO
/****** Object:  Default [DF_OrderItems_Quantity]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_OrderItems_Quantity]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
Begin
ALTER TABLE [dbo].[OrderItems] ADD  CONSTRAINT [DF_OrderItems_Quantity]  DEFAULT ((1)) FOR [Quantity]

End
GO
/****** Object:  Default [DF_Orders_IsAuthorized]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_IsAuthorized]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_IsAuthorized]  DEFAULT ((0)) FOR [IsAuthorized]

End
GO
/****** Object:  Default [DF_Orders_IsCaptured]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_IsCaptured]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_IsCaptured]  DEFAULT ((0)) FOR [IsCaptured]

End
GO
/****** Object:  Default [DF_Orders_PaymentMethod_1]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_PaymentMethod_1]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_PaymentMethod_1]  DEFAULT ('Credit Card') FOR [PaymentMethod]

End
GO
/****** Object:  Default [DF_Orders_OrderStatusID]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_OrderStatusID]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_OrderStatusID]  DEFAULT ((1)) FOR [OrderStatusID]

End
GO
/****** Object:  Default [DF_Orders_TimeStamp]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_TimeStamp]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_TimeStamp]  DEFAULT (getdate()) FOR [TimeStamp]

End
GO
/****** Object:  Default [DF_Orders_UserComments]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_UserComments]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_UserComments]  DEFAULT ('') FOR [UserComments]

End
GO
/****** Object:  Default [DF_Orders_AdminComments]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_AdminComments]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_AdminComments]  DEFAULT ('') FOR [AdminComments]

End
GO
/****** Object:  Default [DF_Orders_RefundAmount]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Orders_RefundAmount]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
Begin
ALTER TABLE [dbo].[Orders] ADD  CONSTRAINT [DF_Orders_RefundAmount]  DEFAULT ((0)) FOR [RefundAmount]

End
GO
/****** Object:  Default [DF_PhotoSets_ProductID]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_PhotoSets_ProductID]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
Begin
ALTER TABLE [dbo].[PhotoSets] ADD  CONSTRAINT [DF_PhotoSets_ProductID]  DEFAULT ((-1)) FOR [SelectorID]

End
GO
/****** Object:  Default [DF_PhotoSets_Caption]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_PhotoSets_Caption]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
Begin
ALTER TABLE [dbo].[PhotoSets] ADD  CONSTRAINT [DF_PhotoSets_Caption]  DEFAULT ('') FOR [Caption]

End
GO
/****** Object:  Default [DF_PhotoSets_SortOrder]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_PhotoSets_SortOrder]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
Begin
ALTER TABLE [dbo].[PhotoSets] ADD  CONSTRAINT [DF_PhotoSets_SortOrder]  DEFAULT ((1)) FOR [SortOrder]

End
GO
/****** Object:  Default [DF_Selectors_SelectorType]    Script Date: 09/11/2008 16:31:13 ******/
IF Not EXISTS (SELECT * FROM sys.default_constraints WHERE object_id = OBJECT_ID(N'[dbo].[DF_Selectors_SelectorType]') AND parent_object_id = OBJECT_ID(N'[dbo].[Selectors]'))
Begin
ALTER TABLE [dbo].[Selectors] ADD  CONSTRAINT [DF_Selectors_SelectorType]  DEFAULT ('List') FOR [SelectorType]

End
GO
/****** Object:  ForeignKey [FK_Addresses_Customers]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Addresses_Customers]') AND parent_object_id = OBJECT_ID(N'[dbo].[Addresses]'))
ALTER TABLE [dbo].[Addresses]  WITH CHECK ADD  CONSTRAINT [FK_Addresses_Customers] FOREIGN KEY([CustomerID])
REFERENCES [dbo].[Customers] ([CustomerID])
GO
ALTER TABLE [dbo].[Addresses] CHECK CONSTRAINT [FK_Addresses_Customers]
GO
/****** Object:  ForeignKey [FK_CategoryProductMap_Categories]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_CategoryProductMap_Categories]') AND parent_object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]'))
ALTER TABLE [dbo].[CategorySelectorMap]  WITH CHECK ADD  CONSTRAINT [FK_CategoryProductMap_Categories] FOREIGN KEY([CategoryID])
REFERENCES [dbo].[Categories] ([CategoryID])
GO
ALTER TABLE [dbo].[CategorySelectorMap] CHECK CONSTRAINT [FK_CategoryProductMap_Categories]
GO
/****** Object:  ForeignKey [FK_CategorySelectorMap_Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_CategorySelectorMap_Selectors]') AND parent_object_id = OBJECT_ID(N'[dbo].[CategorySelectorMap]'))
ALTER TABLE [dbo].[CategorySelectorMap]  WITH CHECK ADD  CONSTRAINT [FK_CategorySelectorMap_Selectors] FOREIGN KEY([SelectorID])
REFERENCES [dbo].[Selectors] ([SelectorID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[CategorySelectorMap] CHECK CONSTRAINT [FK_CategorySelectorMap_Selectors]
GO
/****** Object:  ForeignKey [FK_CustomizationOptions_Customizations]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_CustomizationOptions_Customizations]') AND parent_object_id = OBJECT_ID(N'[dbo].[CustomizationOptions]'))
ALTER TABLE [dbo].[CustomizationOptions]  WITH CHECK ADD  CONSTRAINT [FK_CustomizationOptions_Customizations] FOREIGN KEY([CustomizationID])
REFERENCES [dbo].[Customizations] ([CustomizationID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[CustomizationOptions] CHECK CONSTRAINT [FK_CustomizationOptions_Customizations]
GO
/****** Object:  ForeignKey [FK_OrderItems_Orders]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_OrderItems_Orders]') AND parent_object_id = OBJECT_ID(N'[dbo].[OrderItems]'))
ALTER TABLE [dbo].[OrderItems]  WITH CHECK ADD  CONSTRAINT [FK_OrderItems_Orders] FOREIGN KEY([OrderID])
REFERENCES [dbo].[Orders] ([OrderID])
ON DELETE CASCADE
GO
ALTER TABLE [dbo].[OrderItems] CHECK CONSTRAINT [FK_OrderItems_Orders]
GO
/****** Object:  ForeignKey [FK_Orders_OrderAddresses]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_OrderAddresses]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders]  WITH CHECK ADD  CONSTRAINT [FK_Orders_OrderAddresses] FOREIGN KEY([BillingAddressID])
REFERENCES [dbo].[OrderAddresses] ([OrderAddressID])
GO
ALTER TABLE [dbo].[Orders] CHECK CONSTRAINT [FK_Orders_OrderAddresses]
GO
/****** Object:  ForeignKey [FK_Orders_OrderAddresses1]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_OrderAddresses1]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders]  WITH CHECK ADD  CONSTRAINT [FK_Orders_OrderAddresses1] FOREIGN KEY([ShippingAddressID])
REFERENCES [dbo].[OrderAddresses] ([OrderAddressID])
GO
ALTER TABLE [dbo].[Orders] CHECK CONSTRAINT [FK_Orders_OrderAddresses1]
GO
/****** Object:  ForeignKey [FK_Orders_OrderStatus]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_OrderStatus]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders]  WITH CHECK ADD  CONSTRAINT [FK_Orders_OrderStatus] FOREIGN KEY([OrderStatusID])
REFERENCES [dbo].[OrderStatus] ([OrderStatusID])
GO
ALTER TABLE [dbo].[Orders] CHECK CONSTRAINT [FK_Orders_OrderStatus]
GO
/****** Object:  ForeignKey [FK_PhotoSets_Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_PhotoSets_Selectors]') AND parent_object_id = OBJECT_ID(N'[dbo].[PhotoSets]'))
ALTER TABLE [dbo].[PhotoSets]  WITH CHECK ADD  CONSTRAINT [FK_PhotoSets_Selectors] FOREIGN KEY([SelectorID])
REFERENCES [dbo].[Selectors] ([SelectorID])
GO
ALTER TABLE [dbo].[PhotoSets] CHECK CONSTRAINT [FK_PhotoSets_Selectors]
GO
/****** Object:  ForeignKey [FK_RelatedSelectors_Selectors]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_RelatedSelectors_Selectors]') AND parent_object_id = OBJECT_ID(N'[dbo].[RelatedSelectors]'))
ALTER TABLE [dbo].[RelatedSelectors]  WITH CHECK ADD  CONSTRAINT [FK_RelatedSelectors_Selectors] FOREIGN KEY([SelectorID])
REFERENCES [dbo].[Selectors] ([SelectorID])
GO
ALTER TABLE [dbo].[RelatedSelectors] CHECK CONSTRAINT [FK_RelatedSelectors_Selectors]
GO
/****** Object:  ForeignKey [FK_RelatedSelectors_Selectors1]    Script Date: 09/11/2008 16:31:13 ******/
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_RelatedSelectors_Selectors1]') AND parent_object_id = OBJECT_ID(N'[dbo].[RelatedSelectors]'))
ALTER TABLE [dbo].[RelatedSelectors]  WITH CHECK ADD  CONSTRAINT [FK_RelatedSelectors_Selectors1] FOREIGN KEY([RelatedSelectorID])
REFERENCES [dbo].[Selectors] ([SelectorID])
GO
ALTER TABLE [dbo].[RelatedSelectors] CHECK CONSTRAINT [FK_RelatedSelectors_Selectors1]
GO
