using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Controls_RelatedProducts : WebBlockUserControl
{
    public int SelectorID
    {
        get { return (ViewState["SelectorID"] == null ? 0 : (int)ViewState["SelectorID"]); }
        set { ViewState["SelectorID"] = value; }
    }

    public void BindData()
    {
        DataTable dt = Database.Selectors_GetRelatedBySelectorID(SelectorID);

        if (dt.Rows.Count > 0)
        {
            rptRelatedProducts.DataSource = dt;
            rptRelatedProducts.DataBind();
        }
        else
            rptRelatedProducts.Visible = false;
    }
}
