using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class EnlargePhoto : WebBlockPage
{
    private string _Filename;
    public string Filename
    {
        get
        {
            return _Filename;
        }
    }
    private string _Caption;
    public string Caption
    {
        get
        {
            return _Caption;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["PhotoSetID"] != null)
        {
            DataRow dr = Database.PhotoSets_Get(Int32.Parse(Request["PhotoSetID"]));

            if (dr == null)
            {
                _Filename = "noPhoto.gif";
                _Caption = "No Photo Available";
            }
            else
            {
                _Filename = (string)dr["Filename"];
                _Caption = (string)dr["Caption"];
            }
        }
    }
}
