using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Search : WebBlockPage
{
    string Query = "";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            if (Request["query"] != null)
                Query = Request["query"];

            BindData();
        }
    }

    private void BindData()
    {
        DataTable dt = Database.Selectors_SearchInclusive(1000, Query, "%" + Query + "%");

        if (dt.Rows.Count > 0)
        {
            DataView dv = dt.DefaultView;

            Pagination1.MaxResults = dv.Count;
            Pagination2.MaxResults = dv.Count;

            dv.RowFilter = "RowNumber >= " + Pagination1.LowRow + " AND RowNumber < " + Pagination1.HighRow;
            dlProducts.DataSource = dv;
            dlProducts.DataBind();
        }
        else
        {
            pnlNoResults.Visible = true;
        }
        
    }
}
