<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="Configuration.aspx.cs" Inherits="Admin_Configuration" Title="Configuration" %>
<%@ Register TagPrefix="ConfigurationControls" Assembly="__code" Namespace="ConfigurationControls" %>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">    
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">
    <h1>Configuration</h1>
<asp:Panel runat="server" ID="pnlConfig" DefaultButton="btnSave" CssClass="config">
    <table class="paddedTable">
        <tr><th>Browse Configuration</th></tr>
        <tr><td width="50%">Products to show on each page: </td><td><ConfigurationControls:ConfigTextBox Variable="BrowsePageSize" runat="server" ID="txtBrowsePageSize" /></td></tr>
    </table>
    <hr />
        <table class="paddedTable">
        <tr><th>Inventory Configuration</th></tr>
        <tr><td width="50%">Allow users to purchase out of stock items: </td><td><ConfigurationControls:ConfigDropDown Variable="IgnoreInventory" runat="server" ID="ConfigTextBox7" /></td></tr>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>Shipping</th></tr>
        <tr><td width="50%">Free shipping for orders over: </td><td>$<ConfigurationControls:ConfigTextBox Variable="Shipping.FreeShippingAmount" CssClass="money" Width="60px" runat="server" ID="txtFreeShipping" OnBlur="moneyFormat(this);" /></td></tr>
        <tr><td width="50%">Handling fee: </td><td>$<ConfigurationControls:ConfigTextBox Variable="Shipping.HandlingFee" CssClass="money" Width="60px" runat="server" ID="ConfigTextBox1" OnBlur="moneyFormat(this);" /></td></tr>
        <tr><td width="50%">Source Zip Code: </td><td><ConfigurationControls:ConfigTextBox Variable="Shipping.SourceZip" CssClass="money" Width="60px" runat="server" /></td></tr>
        <tr><td width="50%">Shipping Carrier: </td><td><ConfigurationControls:ConfigDropDown runat="server" ID="ddlShippingMethod" Variable="Shipping.Method" AutoPostBack="true" /></td></tr>
        <% if (ddlShippingMethod.SelectedValue == "FlatRate") { %>
        <tr>
            <td colspan="2" class="subSection">
                <table class="paddedTable">
                    <tr><th>Flat Rate Configuration</th></tr>
                    <tr><td width="50%">Rate: </td><td>$<ConfigurationControls:ConfigTextBox Variable="Shipping.FlatRate.Cost" CssClass="money" Width="60px" runat="server" OnBlur="moneyFormat(this);" /></td></tr>
                    <tr><td width="50%">Ship Time: </td><td><ConfigurationControls:ConfigTextBox Variable="Shipping.FlatRate.ShipTime" Width="300px" runat="Server" /></td></tr>
                </table>
            </td>
        </tr>
        <% } else if (ddlShippingMethod.SelectedValue == "Fedex") { %>
        <tr>
            <td colspan="2" class="subSection">
                <table class="paddedTable">
                    <tr><th>FedEx Configuration</th></tr>
                    <tr><td width="50%">Gateway URL: </td><td><ConfigurationControls:ConfigDropDown Variable="Shipping.FedEx.URL" Width="300px" runat="server" /></td></tr>
                    <tr><td width="50%">Account Number: </td><td><ConfigurationControls:ConfigTextBox Variable="Shipping.FedEx.AccountNumber" Width="300px" runat="Server" /></td></tr>
                    <tr><td width="50%">Meter Number: </td><td><ConfigurationControls:ConfigTextBox Variable="Shipping.FedEx.MeterNumber" Width="300px" runat="Server" /></td></tr>
                    <tr><td width="50%">Origin State: </td><td><ConfigurationControls:ConfigTextBox Variable="Shipping.FedEx.OriginState" Width="300px" runat="Server" /></td></tr>
                </table>
            </td>
        </tr>
        <% } else if (ddlShippingMethod.SelectedValue == "USPS") { %>
        <tr>
            <td colspan="2" class="subSection">
                <table class="paddedTable">
                    <tr><th>USPS Configuration</th></tr>
                    <tr><td width="50%">Supported Services: </td><td><ConfigurationControls:ConfigCheckboxList runat="server" Variable="Shipping.USPS.ServicesSupported" ID="chkServicesSupported" RepeatColumns="2" /></td></tr>
                </table>
            </td>
        </tr>
        <% } else if (ddlShippingMethod.SelectedValue == "UPS") { %>
        <tr>
            <td colspan="2" class="subSection">
                <table class="paddedTable">
                    <tr><th>UPS Configuration</th></tr>
                    <tr><td width="50%">Test Mode: </td><td><ConfigurationControls:ConfigDropDown ID="ConfigDropDown1" Variable="Shipping.UPS.TestMode" runat="server" /></td></tr>
                    <tr><td width="50%">Account Number: </td><td><ConfigurationControls:ConfigTextBox runat="server" Variable="Shipping.UPS.AccountNumber" /></td></tr>
                    <tr><td width="50%">XML Access Key: </td><td><ConfigurationControls:ConfigTextBox runat="server" Variable="Shipping.UPS.XMLAccessKey" /></td></tr>
                    <tr><td width="50%">User ID: </td><td><ConfigurationControls:ConfigTextBox runat="server" Variable="Shipping.UPS.UserID" /></td></tr>
                    <tr><td width="50%">Password: </td><td><ConfigurationControls:ConfigTextBox runat="server" Variable="Shipping.UPS.Password" /></td></tr>
                    <tr><td width="50%">Supported Services: </td><td><ConfigurationControls:ConfigCheckboxList runat="server" Variable="Shipping.UPS.ServicesSupported" RepeatColumns="2" /></td></tr>
                    <tr valign="top">
                        <td width="50%"></td>
                        <td>
                            (<b>01</b> = UPS Next Day Air, <b>02</b> = UPS Second Day Air, <b>03</b> = UPS Ground, <b>12</b> = UPS Three-Day Select, <b>13</b> = UPS Next Day Air Saver, <b>14</b> = UPS Next Day Air Early A.M., <b>59</b> = UPS Second Day Air A.M., <b>65</b> = UPS Saver)
                        </td>
                    </tr>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="subSection">
                <table class="paddedTable">
                    <tr><th>UPS Ship-Tool Configuration</th></tr>
                    <tr><td width="50%">Shipper Name: </td><td><ConfigurationControls:ConfigTextBox ID="ConfigTextBox2" runat="server" Variable="Shipping.UPS.Name" /></td></tr>
                    <tr><td width="50%">ShipFrom CompanyName: </td><td><ConfigurationControls:ConfigTextBox ID="ConfigTextBox9" runat="server" Variable="Shipping.UPS.CompanyName" /></td></tr>
                    <tr><td width="50%">ShipFrom Address Line 1: </td><td><ConfigurationControls:ConfigTextBox ID="ConfigTextBox3" runat="server" Variable="Shipping.UPS.Address.AddressLine1" /></td></tr>
                    <tr><td width="50%">ShipFrom City: </td><td><ConfigurationControls:ConfigTextBox ID="ConfigTextBox4" runat="server" Variable="Shipping.UPS.Address.City" /></td></tr>
                    <tr><td width="50%">ShipFrom Zip Code: </td><td><ConfigurationControls:ConfigTextBox ID="ConfigTextBox5" runat="server" Variable="Shipping.UPS.Address.PostalCode" /></td></tr>
                    <tr><td width="50%">ShipFrom CA (2 letter abbreviation): </td><td><ConfigurationControls:ConfigTextBox ID="ConfigTextBox6" runat="server" Variable="Shipping.UPS.Address.StateProvinceCode" /></td></tr>
                </table>
            </td>
        </tr>
        <% } %>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>Tax Information</th></tr>
        <tr><td width="50%">Tax Rate:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="Tax.Rate" Width="40px" OnBlur="numberFormat(this);" /></td></tr>
        <tr><td width="50%">Tax State:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="Tax.State" Width="25px" MaxLength="2" /></td></tr>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>Payment Configuration</th></tr>
        <tr><td width="50%">Allowed Payment Types:</td><td width="50%"><ConfigurationControls:ConfigCheckboxList runat="server" Variable="Payment.AllowedPaymentTypes" ID="chkAllowedPayment" RepeatColumns="2" /></td></tr>
        <% if (chkAllowedPayment.FieldValue.IndexOf("Credit Card") > -1) { %>
        <tr>
            <td colspan="2" class="subSection">
                <table class="paddedTable">
                    <tr><th>Credit Card Configuration</th></tr>
                    <tr><td width="50%">Selected Gateway:</td><td width="50%"><ConfigurationControls:ConfigDropDown Variable="Gateways.PaymentGateway" ID="ddlPaymentGateway" runat="server" AutoPostBack="True" /></td></tr>
                    <tr><td colspan="2" class="subSection">
                        <table class="paddedTable"> 
                            <% if (ddlPaymentGateway.SelectedValue == "Authorize.NET")
                               { %>
                     
                            <tr><th style="font-size: 11pt">Authorize.NET Configuration</th></tr>
                            <tr><td width="50%">API Login ID:</td><td width="50%"><ConfigurationControls:ConfigTextBox Variable="Gateways.AuthorizeNET.LoginID" runat="server" Width="300px" /></td></tr>
                            <tr><td width="50%">Transaction Key:</td><td width="50%"><ConfigurationControls:ConfigTextBox Variable="Gateways.AuthorizeNET.TransactionKey" runat="server" Width="300px" /></td></tr>
                     
                            <% }
                               else if (ddlPaymentGateway.SelectedValue == "Order Email")
                               { %>
                     
                            <tr><th>Order Email Configuration</th></tr>        
                            <tr><td width="50%">Recipient Address</td><td width="50%"><ConfigurationControls:ConfigTextBox Variable="Gateways.OrderEmail.RecipientAddress" runat="server" Width="300px" /></td></tr>
                     
                            <% } else if (ddlPaymentGateway.SelectedValue == "PayPal") { %>
                     
                            <tr><th>PayPal Configuration</th></tr>        
                            <tr><td width="50%">Username</td><td width="50%"><ConfigurationControls:ConfigTextBox Variable="Gateways.PayPalAPI.Username" runat="server" Width="300px" /></td></tr>
                            <tr><td width="50%">Password</td><td width="50%"><ConfigurationControls:ConfigTextBox Variable="Gateways.PayPalAPI.Password" runat="server" Width="300px" /></td></tr>
                            <tr><td width="50%">Signature</td><td width="50%"><ConfigurationControls:ConfigTextBox Variable="Gateways.PayPalAPI.Signature" runat="server" Width="300px" /></td></tr>
                            
                     
                            <% } %>
                        </table>
                    </td></tr>
                    <tr>
                        <td width="50%">Settle transactions immediately:</td>
                        <td width="50%">
                            <ConfigurationControls:ConfigDropDown Variable="AuthorizeAndCapture" runat="server" />
                        </td>
                    </tr>
                    <tr valign="top"><td width="50%">Accepted Cards:</td><td width="50%"><ConfigurationControls:ConfigCheckboxList Variable="Payment.AcceptedCards" runat="server" Width="300px" CellPadding="1" CellSpacing="0" RepeatColumns="2" /></td></tr>
                </table>                
            </td>
        </tr>
        <% } %>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>Email</th></tr>
        <tr><td width="50%">From Name:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="Emails.FromName" Width="300px" /></td></tr>
        <tr><td width="50%">Reply Email:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="Emails.ReplyEmail" Width="300px" /></td></tr>
        <tr><td width="50%">Administrative Email:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="Emails.OrderAdmin" Width="300px" /></td></tr>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>Misc.</th></tr>
        <tr><td width="50%">Administrative Password:</td><td width="50%"><ConfigurationControls:ConfigPasswordBox runat="Server" Variable="LoginPassword" Width="300px" /></td></tr>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>ConstantContact Settings</th></tr>
        <tr><td width="50%">ConstantContact Username:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="ConstantContact.Username" Width="300px"/></td></tr>
        <tr><td width="50%">ConstantContact Password:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="ConstantContact.Password" Width="300px"/></td></tr>
        <tr><td width="50%">ConstantContact API Key:</td><td width="50%"><ConfigurationControls:ConfigTextBox runat="Server" Variable="ConstantContact.APIKey" Width="300px" /></td></tr>
    </table>
    <hr />
    <table class="paddedTable">
        <tr><th>Test/Development Settings</th></tr>
        <tr>
            <td width="50%">Test Mode:</td>
            <td width="50%">
                <ConfigurationControls:ConfigDropDown ID="ConfigDropDown2" Variable="TestMode" runat="server" />
            </td>
        </tr>
        <tr>
            <td width="50%">Use SSL:</td>
            <td width="50%">
                <ConfigurationControls:ConfigDropDown ID="ConfigDropDown3" Variable="UseSSL" runat="server" />
            </td>
        </tr>
    </table>
    <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" Width="80px" />&nbsp;&nbsp;
    <asp:Button ID="btnCancel" runat="server" Text="Cancel" Width="80px" OnClick="btnCancel_Click" /></asp:Panel>
</asp:Content>

