<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditDiscount.aspx.cs" Inherits="Admin_EditDiscount" Title="Edit Discount" %>
<%@ Register TagPrefix="ew" Namespace="eWorld.UI" Assembly="eWorld.UI, Assembly=2.0.0.2201" %>
<%@ Register TagPrefix="AdminControls" Namespace="AdminControls" Assembly="__code" %>


<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="Discounts.aspx">Discounts</a> &gt; Add/Edit Discount
    </div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="Discounts.aspx">Discounts</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditDiscount.aspx">New Discount</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

<div style="width: 690px"></div>

<asp:Menu
    id="Menu1"
    Orientation="Horizontal"
    StaticMenuItemStyle-CssClass="tab"
    StaticSelectedStyle-CssClass="selectedTab"
    CssClass="tabs"
    OnMenuItemClick="Menu1_MenuItemClick"
    Runat="server">
    <Items>
    <asp:MenuItem Text="Discount Information" Value="0" Selected="true" />
    <asp:MenuItem Text="Items" Value="1" />
    <asp:MenuItem Text="Find Items" Value="2" />
    </Items>    
</asp:Menu>

<div class="tabContents">
    <asp:MultiView ID="mvContent" runat="Server" ActiveViewIndex="0">
        <asp:View ID="View1" runat="server">
            <table cellpadding="0" cellspacing="5">
                <tr>
                    <td class="label">*Discount Title:</td>
                    <td class="data">
                        <asp:TextBox ID="txtDiscountTitle" runat="server" />
                        <div>
                            <asp:RequiredFieldValidator ID="reqDiscountTitle" runat="server" ControlToValidate="txtDiscountTitle" Display="Dynamic" ErrorMessage="Please enter a discount title." />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="label">*Discount Code:</td>
                    <td class="data">
                        <asp:TextBox ID="txtDiscountCode" runat="server" />
                        <div>
                            <asp:RequiredFieldValidator ID="reqDiscountCode" runat="server" ControlToValidate="txtDiscountCode" Display="Dynamic" ErrorMessage="Please enter a discount code." />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="label"></td>
                    <td class="data"><asp:LinkButton ID="lbGenerate" runat="server" /></td>
                </tr>
                <tr>
                    <td class="label">*Start Date:</td>
                    <td class="data"><ew:CalendarPopup ImageUrl="images/icon_calendar.gif"  ID="calStartDate" runat="server" DisableTextBoxEntry="False" Width="75px" ControlDisplay="TextBoxImage"></ew:CalendarPopup></td>
                </tr>
                <tr>
                    <td class="label">*End Date:</td>
                    <td class="data"><ew:CalendarPopup ImageUrl="images/icon_calendar.gif"  ID="calEndDate" runat="server" DisableTextBoxEntry="False" Width="75px" ControlDisplay="TextBoxImage"></ew:CalendarPopup></td>
                </tr>
                <tr>
                    <td class="label">*Required Subtotal:</td>
                    <td class="data">
                        <asp:TextBox ID="txtRequiredSubtotal" runat="server" Text="0.00" />
                        <div>
                            <asp:RequiredFieldValidator ID="reqRequiredSubtotal" runat="server" ControlToValidate="txtRequiredSubtotal" Display="Dynamic" ErrorMessage="Please enter a required subtotal." />
                            <asp:CompareValidator ID="cmpRequiredSubtotal" runat="Server" ControlToValidate="txtRequiredSubtotal" Operator="DataTypeCheck" Type="Double" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="label">*Dollar amount to discount:</td>
                    <td class="data">
                        <asp:TextBox ID="txtDiscountDollarAmount" runat="server" Text="0.00" />
                        <div>
                            <asp:RequiredFieldValidator ID="reqDollarDiscountAmount" runat="server" ControlToValidate="txtDiscountDollarAmount" Display="Dynamic" ErrorMessage="Please enter a dollar discount amount." />
                            <asp:CompareValidator ID="cmpDollarDiscountAmount" runat="Server" ControlToValidate="txtDiscountDollarAmount" Operator="DataTypeCheck" Type="Double" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="label">*Percentage to discount:</td>
                    <td class="data">
                        <asp:TextBox ID="txtDiscountPercentage" runat="server" Text="0" />%
                        <div>
                            <asp:RequiredFieldValidator ID="reqPercentageDiscount" runat="server" ControlToValidate="txtDiscountPercentage" Display="Dynamic" ErrorMessage="Please enter a percentage to discount." />
                            <asp:CompareValidator ID="cmpPercentageDiscount" runat="Server" ControlToValidate="txtDiscountPercentage" Operator="DataTypeCheck" Type="Double" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="label">Grants Free Shipping:</td>
                    <td class="data">
                        <asp:DropDownList ID="ddlGrantsFreeShipping" runat="server">
                            <asp:ListItem Value="0">No</asp:ListItem>
                            <asp:ListItem Value="1">Yes</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td class="label">Reusable:</td>
                    <td class="data">
                        <asp:DropDownList ID="ddlIsOneTimeDiscount" runat="server">
                            <asp:ListItem Value="0">Allow this code to be reused</asp:ListItem>
                            <asp:ListItem Value="1">This code can only be used once</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td class="label">Discount applies to all items:</td>
                    <td class="data">
                        <asp:CheckBox ID="chkAppliesToAll" runat="server" Checked="True" AutoPostBack="True" OnCheckedChanged="chkAppliesToAll_CheckedChanged" />
                    </td>
                </tr>
            </table>
        </asp:View>
        <asp:View ID="View2" runat="server">            
            <asp:Panel Runat="server" ID="pnlItemSearch" DefaultButton="btnSearch">
                <asp:GridView ID="gvItems" runat="server" GridLines="None" DataKeyNames="ItemID" AutoGenerateColumns="false" CellSpacing="5" EmptyDataText="There are no items currently associated with this discount.">
                    <HeaderStyle Font-Size="Small" Font-Bold="false" />
                    <Columns>
                        <asp:TemplateField ItemStyle-Width="40px">
                            <ItemTemplate>
                                <asp:CheckBox ID="cbSelect" runat="server" />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="SKU" HeaderText="SKU" ItemStyle-Width="60px" />
                        <asp:BoundField DataField="Name" HeaderText="Name" ItemStyle-Width="340px" />
                    </Columns>
                </asp:GridView>
                
                <% if (gvItems.Rows.Count > 0) { %>
                <asp:Button ID="btnRemoveSelected" runat="server" Text="Remove Selected" OnClick="btnRemoveSelected_Click" />
                <% } %>
            </asp:Panel>
        </asp:View>
        <asp:View runat="server" ID="View3">
            <table>
                <tr>
                    <td>SKU</td>
                    <td>Name</td>
                </tr>
                <tr>
                    <td><asp:TextBox ID="txtSearchSKU" runat="server" Width="90px" /></td>
                    <td><asp:TextBox ID="txtSearchName" runat="server" Width="330px" /></td>
                </tr>
                <tr>
                    <td colspan="5" align="center">
                        <asp:Button ID="btnSearch" runat="server" Text="Search" OnClick="btnSearch_Click" />
                    </td>
                </tr>
            </table>
                        
            <br />
        
            <div align="center">
                <asp:Button ID="btnSelectAll" runat="server" Text="Select All" OnClick="btnSelectAll_Click" /> <asp:Button ID="btnAdd" runat="server" Text="Add Selected Items" OnClick="btnAdd_Click" />
            </div>
            
            <br />
            
            Showing: <b><asp:Literal ID="litSearchType" runat="server" /></b>
            <br />
            <br />
            <asp:GridView ID="gvItemDatabase" runat="server" GridLines="None" AutoGenerateColumns="false" DataKeyNames="ItemID">
                <RowStyle VerticalAlign="Top" />
                <Columns>
                    <asp:TemplateField ItemStyle-Width="40px">
                        <ItemTemplate>
                            <asp:CheckBox ID="cbSelect" runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="SKU" HeaderText="SKU" ItemStyle-Width="60px" />
                    <asp:ButtonField ButtonType="Link" DataTextField="Name" HeaderText="Name" ItemStyle-Width="340px" CommandName="ed" />
                </Columns>
            </asp:GridView>
        </asp:View>
    </asp:MultiView>
</div>
<br />
<asp:Button ID="btnDelete" runat="server" Text="Delete Discount" OnClick="btnDelete_Click" OnClientClick="return confirm('Are you sure you want to delete this discount?');" />
<asp:Button ID="btnSave" runat="server" Text="Save Discount" OnClick="btnSave_Click" />


</asp:Content>

