<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditOrder.aspx.cs" Inherits="Admin_EditOrder" Title="Edit Order" %>
<%@ Register TagPrefix="Controls" TagName="OrderContents" Src="Controls/OrderContents.ascx" %>
<%@ Register TagPrefix="Controls" TagName="OrderStatus" Src="Controls/OrderStatus.ascx" %>

<asp:Content ID="COntent3" ContentPlaceHolderID="LeftNavBar" runat="server">

    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="Orders.aspx">&lt; Back to Orders</a>
            </th>
        </tr>
        </table>
    </div>

    <div class="panel">
        <Controls:OrderStatus runat="server" ID="OrderStatus1" />
    </div>
    

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">
    <h1>Orders : <%= OrderID %></h1>
    <table style="width: 100%">
    <tr>
        <td colspan="2">
            <Controls:OrderContents Runat="Server" ID="OrderContents1" />
        </td>
    </tr>
    </table>
    <table cellpadding="2" cellspacing="0">
    <tr>
        <th colspan="2">Order Information</th>
    </tr>
    <tr>
        <td>Internal Comments:</td>
        <td>
            <asp:TextBox ID="txtInternalComments" runat="Server" TextMode=MultiLine Width="300px" Height="40px" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <th colspan="2">
            Billing Information
        </th>
    </tr>
    <tr>
        <td>First Name:</td>
        <td>
            <asp:TextBox ID="txtBillFirstName" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Last Name:</td>
        <td>
            <asp:TextBox ID="txtBillLastName" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Address:</td>
        <td>
            <asp:TextBox ID="txtBillAddress" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>City:</td>
        <td>
            <asp:TextBox ID="txtBillCity" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>State:</td>
        <td>
            <asp:DropDownList ID="ddlBillState" runat="server" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Country:</td>
        <td>
            <asp:DropDownList ID="ddlBillCountry" runat="server" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Zip Code:</td>
        <td>
            <asp:TextBox ID="txtBillZipCode" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Phone Number:</td>
        <td>
            <asp:TextBox ID="txtBillPhone" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Email:</td>
        <td>
            <asp:TextBox ID="txtEmailAddress" runat="Server" MaxLength="255" CssClass="inputBox" />
            <asp:HyperLink ID="hypEmail" runat="server" Text="Send Email" />
        </td>
    </tr>
    <tr>
        <th colspan="2">
            <br />
            Shipping Information
        </th>
    </tr>
    <tr>
        <td>First Name:</td>
        <td>
            <asp:TextBox ID="txtShipFirstName" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Last Name:</td>
        <td>
            <asp:TextBox ID="txtShipLastName" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Address:</td>
        <td>
            <asp:TextBox ID="txtShipAddress" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>City:</td>
        <td>
            <asp:TextBox ID="txtShipCity" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>State:</td>
        <td>
            <asp:DropDownList ID="ddlShipState" runat="server" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Country:</td>
        <td>
            <asp:DropDownList ID="ddlShipCountry" runat="server" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Zip Code:</td>
        <td>
            <asp:TextBox ID="txtShipZipCode" runat="Server" MaxLength="255" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td>Gift Message:</td>
        <td>
            <asp:TextBox ID="txtGiftMessage" Enabled="false" runat="Server" MaxLength="300" TextMode=multiline Width="300px" Height="40px" CssClass="inputBox" />
        </td>
    </tr>
    <tr>
        <td colspan="2" align="Center">
        <br />
            <asp:Button ID="btnUpdate" runat="server" Text="Update" OnClick="btnUpdate_Click1" />
        </td>
    </tr>
    </table>
    <table>
        <tr>
            <th colspan="2" align="left">
                <br />
                Payment Information
            </th>
        </tr>
        <tr>
            <td>Payment Method:</td>
            <td><asp:Literal ID="litPaymentMethod" runat="server" /></td>
        </tr>
        <tr>
            <td>Payment Time:</td>
            <td>
                <asp:Literal ID="litTimestamp" runat="Server" />
            </td>
        </tr>
        <% if (litPaymentMethod.Text == "Credit Card") { %>
        <tr>
            <td>Logged IP:</td>
            <td>
                <asp:Literal ID="litIPAddress" runat="server" />    
            </td>
        </tr>
        <tr>
            <td>Authorized:</td>
            <td>
                <asp:Literal ID="litIsAuthorized" runat="Server" />
            </td>
        </tr>
        <tr>
            <td>Captured:</td>
            <td>
                <asp:Literal ID="litIsCaptured" runat="Server" />
            </td>
        </tr>
        <tr valign="top">
            <td width="130" align="left">Reference Code:</td>
            <td width="170" align="left">
                <asp:Literal ID="litPaymentRefCode" runat="Server" />
            </td>
        </tr>
        <tr valign="top">
            <td align="left">Response Code:</td>
            <td align="left">
                <asp:Literal ID="litResponseCode" runat="Server" />
            </td>
        </tr>
        <tr valign="top">
            <td align="left">Response Text:</td>
            <td align="left">
                <asp:Literal ID="litResponseText" runat="Server" />
            </td>
        </tr>
        <tr valign="top">
            <td align="left">Card Type:</td>
            <td align="left">
                <asp:Literal ID="litCardType" runat="Server" />
            </td>
        </tr>
        <tr valign="top">
            <td align="left">Last 4 of card:</td>
            <td align="left">
                ************<asp:Literal ID="litLastFour" runat="Server" />
            </td>
        </tr>
        <% } else if (litPaymentMethod.Text == "PO Number") { %>
        <tr valign="top">
            <td align="left">PO Number:</td>
            <td align="left">
                <asp:Literal ID="litPONumber" runat="Server" />
            </td>
        </tr>
        <% } %>

    </table>


</asp:Content>

