<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="OrderWizard_Cancel.aspx.cs" Inherits="Admin_OrderWizard_Cancel" Title="Cancel Order" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Cancel Order</h1>

    <asp:Wizard ID="wizDelay" runat="Server" ActiveStepIndex="0" OnFinishButtonClick="wizDelay_FinishButtonClick">
        <WizardSteps>
            <asp:WizardStep runat="server" StepType="Start" AllowReturn="False">
                An authorization has been obtained for this order, so before cancelling, it should be voided to release the locked funds in the buyer's account.
                <br />
                <br />
                <asp:Button ID="btnVoid" runat="server" Text="Void Order" OnClick="btnVoid_Click" />
                <br />
                <br />
                <asp:Literal ID="litVoid" runat="server" />
                <br />
                <br />
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Step">
                Please update your internal comments for this order.<br />
                <br />
                <br />
                <asp:TextBox ID="txtComments" runat="server" TextMode="MultiLine" Width="500px" Height="300px" />
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Finish">
                Click finish below to complete the wizard.
            </asp:WizardStep>
        </WizardSteps>
    </asp:Wizard>

</asp:Content>

