<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="SearchOrders.aspx.cs" Inherits="Admin_SearchOrders" Title="Search Orders" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="SearchOrders.aspx">Search Orders</a>
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="Orders.aspx">Newest Orders</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="SearchOrders.aspx">Search Orders</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <div style="width: 690px">
        <table>
            <tr>
                <td>OrderID</td>
                <td>First Name</td>
                <td>Last Name</td>
                <td>Status</td>
                <td>Order Date</td>
            </tr>
            <tr valign="top">
                <td style="width: 50px">
                    <asp:TextBox ID="txtOrderID" runat="server" CssClass="inputBox" Width="50px" />
                </td>
                <td style="width: 190px;">
                    <asp:TextBox ID="txtSearchFirstName" runat="server" MaxLength="255" CssClass="inputBox" Width="190px" />
                </td>
                <td style="width: 190px;">
                    <asp:TextBox ID="txtSearchLastName" runat="server" MaxLength="255" CssClass="inputBox" Width="190px" />
                </td>
                <td>
                    <asp:DropDownList ID="ddlSearchStatus" runat="server" DataTextField="StatusName" DataValueField="OrderStatusID" Width="90px" />
                </td>
                <td rowspan="2">
                    <table>
                        <tr>
                            <td>From</td>
                            <td>
                                <asp:TextBox ID="txtOrderDateFrom" runat="server" CssClass="inputBox" Width="60px" />
                            </td>
                        </tr>
                        <tr>
                            <td>To</td>
                            <td>
                                <asp:TextBox ID="txtOrderDateTo" runat="server" CssClass="inputBox" Width="60px" />
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="4"><asp:Button ID="btnSearch" runat="server" Text="Search" OnClick="btnSearch_Click1" /></td>
            </tr>
        </table>
        
        <h3>Results</h3>
        
        <asp:DataGrid ID="dgOrders" runat="server" AllowSorting="true" GridLines="None" AutoGenerateColumns="false" OnSortCommand="dgOrders_SortCommand">
            <HeaderStyle Font-Bold="true" />
            <AlternatingItemStyle BackColor="#FFFFFF" />
            <Columns>
                <asp:BoundColumn DataField="OrderID" HeaderText="ID" SortExpression="OrderID" ItemStyle-Width="60px" />
                <asp:HyperLinkColumn DataNavigateUrlField="OrderID" DataNavigateUrlFormatString="EditOrder.aspx?OrderID={0}" DataTextField="CombinedName" HeaderText="Customer" SortExpression="CombinedName" ItemStyle-Width="400px" />
                <asp:BoundColumn DataField="StatusName" HeaderText="Status" SortExpression="StatusName" ItemStyle-Width="100px" />
                <asp:BoundColumn DataField="TimeStamp" DataFormatString="{0:d}" HeaderText="Received" SortExpression="TimeStamp" ItemStyle-Width="100px" />
            </Columns>
        </asp:DataGrid>
        
    </div>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
</asp:Content>

