using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace ConfigurationControls
{
    public class ConfigDropDown : DropDownList, IConfigurationControl
    {
        private string _Variable = "";
        public string Variable
        {
            get { return _Variable; }
            set { _Variable = value; }
        }

        private bool _Required = false;
        public bool Required
        {
            get { return _Required; }
            set { _Required = value; }
        }

        public string FieldValue
        {
            get
            {
                return this.SelectedValue;
            }
            set
            {
                this.SelectedValue = value;
            }
        }
    }
}