using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Estore.CustomizationControls
{
    public class LargeTextBox : CustomizationControlBase
    {
        private System.Web.UI.WebControls.TextBox ctl;

        protected override void OnInit(EventArgs e)
        {
            ctl = new System.Web.UI.WebControls.TextBox();
            ctl.CssClass = "customizationField";
            ctl.TextMode = TextBoxMode.MultiLine;
            Controls.Add(ctl);
            base.OnInit(e);
        }

        public override void BindOptions(DataTable dt)
        {
            // no binding
        }

        public override string Text
        {
            get
            {
                return ctl.Text;
            }
        }

        public override decimal SelectedCustomizationCost
        {
            get
            {
                return 0;
            }
        }
    }
}