using System;
using System.Data;

using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class SelectorData
{
    public int SelectorID;
    public string SelectorType;
    public string Name;
    public string Description;
    public string TextPrice;
    public string SKU;

    public SelectorData()
    {
    }
}

public class SelectorControl : WebBlockUserControl
{
    public SelectorData SelectorData;

    protected void AddItemToCart(int ItemID, int Quantity, string CustomizationText, decimal CustomizationCost)
    {
        ShoppingCartItem sci = new ShoppingCartItem();

        DataRow dr = Database.Items_GetByItemIDAndQuantity(ItemID, Quantity);

        sci.ItemID = (int)dr["ItemID"];
        sci.Inventory = (int)dr["Inventory"];
        sci.SKU = (string)dr["SKU"];
        sci.Name = (string)dr["Name"];
        sci.Price = (dr["VolumePrice"] == DBNull.Value ? (decimal)dr["ItemPrice"] : (decimal)dr["VolumePrice"]);
        sci.Weight = (double)dr["Weight"];
        sci.Quantity = Quantity;
        sci.CustomizationText = CustomizationText;
        sci.CustomizationCost = CustomizationCost;
        if (CustomizationText.Length > 0)
            ShoppingCart.Add(sci, false);
        else
            ShoppingCart.Add(sci, true);
    }

    public virtual void BindData() { }
}