using System;
using System.Data;
using System.Collections.Generic;


public class FlatRate : ShippingBase
{
    public FlatRate() : base() { }

    public override List<ShippingMethod> GetShippingMethods(string startzip, string endzip)
    {
        decimal cost = Decimal.Parse(Configuration.Get("Shipping.FlatRate.Cost"));
        List<ShippingMethod> ret = new List<ShippingMethod>(1);
        ShippingMethod sm = new ShippingMethod("Flat Rate", cost,Configuration.Get("Shipping.FlatRate.ShipTime"));
        ret.Add(sm);

        return ret;        
    }
}
