<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DropdownSelect.ascx.cs" Inherits="Controls_Selectors_DropdownSelect" %>
<%@ Register TagPrefix="Custom" TagName="ImageView" Src="~/Controls/ImageView.ascx" %>
<%@ Register TagPrefix="Custom" TagName="RelatedProducts" Src="~/Controls/RelatedProducts.ascx" %>
<%@ Register TagPrefix="Custom" TagName="VolumePricingTable" Src="~/Controls/VolumePricingTable.ascx" %>
<%@ Register TagPrefix="Estore" Namespace="Estore" Assembly="__code" %>


<table width="100%" cellpadding="0" cellspacing="0">
    <tr valign="top">
        <td>
            <Custom:ImageView ID="ImageView1" runat="Server" />
        </td>
        <td style="width: 20px;">&nbsp;</td>
        <td style="width: 295px">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td class="categoryTitle"><asp:Literal ID="litProductName" runat="server" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td><!--<asp:Literal ID="litSKU" runat="server" />-->&nbsp;</td>
                </tr>
                <tr>
                    <td class="description"><%= Description %></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td><b>Select Model</b></td>
                </tr>
                <tr>
                    <td>
                        <asp:DropDownList ID="ddlItem" runat="server" DataTextField="Name" DataValueField="ItemID" CssClass="customizationField" AutoPostBack="True" OnSelectedIndexChanged="ddlItem_SelectedIndexChanged" />
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td>
                        <Custom:VolumePricingTable ID="VolumePricing1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td><Estore:SelectorCustomization ID="ccCustomizations" runat="server" /></td>
                </tr>
                <tr>
                    <td><b>Quantity</b><br /><asp:TextBox ID="txtQuantity" runat="Server" Width="40px" Text="1" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td><asp:ImageButton ID="btnBuy" runat="server" ImageUrl="~/images/buy.gif" OnClick="btnBuy_Click" /></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="3">
            <Custom:RelatedProducts ID="RelatedProducts1" runat="server" />
        </td>
    </tr>
</table>