<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SingleLineLogin.ascx.cs" Inherits="Controls_SingleLineLogin" %>
<asp:Panel runat="server" ID="pnlLogin" DefaultButton="imgLogin">
<table width="100%" class="checkoutForm" cellpadding="0" cellspacing="0">
    <tr>
        <td class="formLabel">Email Address: </td>
        <td><asp:TextBox ID="txtEmailAddress" runat="Server" MaxLength="255" CssClass="inputBox" /></td>
    </tr>
    <tr>
        <td>Password: </td>
        <td><asp:TextBox ID="txtPassword" runat="server" MaxLength="255" TextMode="Password" CssClass="inputBox" /></td>
    </tr>
    <tr>
        <td colspan="2" align="left">
            <br />
            <asp:ImageButton ID="imgLogin" runat="server" AlternateText="Log In" ImageAlign="AbsMiddle" ImageUrl="~/images/login.gif" OnClick="imgLogin_Click" ValidationGroup="Login" />
        </td>
    </tr>
    <% if (!regexEmail.IsValid || !custLogin.IsValid) { %>
    <tr>
        <td colspan="2" align="left">
            <div align="left">
                <asp:CustomValidator ID="custLogin" runat="Server" ErrorMessage="Invalid email address/password combination." Display="Dynamic" EnableClientScript="False" ValidationGroup="Login" OnServerValidate="custLogin_ServerValidate" />
            </div>
            <div align="left">
                <asp:RegularExpressionValidator ID="regexEmail" runat="server" ControlToValidate="txtEmailAddress" EnableClientScript="False" ErrorMessage="Invalid email address." ValidationGroup="NewAccount" Display="Dynamic" />
            </div>
        </td>
    </tr>
    <% } %>
</table>
</asp:Panel>