<%@ Page Language="C#" MasterPageFile="~/Content.master" AutoEventWireup="true" CodeFile="ShippingOptions.aspx.cs" Inherits="ShippingOptions" Title="Checkout: Shipping Options" %>
<%@ Register TagPrefix="Controls" TagName="CartControl" Src="~/Controls/CartControl.ascx" %>
<%@ Register TagPrefix="Controls" TagName="CheckoutNavigation" Src="~/Controls/CheckoutNavigation.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" Runat="Server">
<table class="fullContentArea" cellpadding="0" cellspacing="0">
    <tr>
        <td class="fullContentOpen">&nbsp;</td>
    </tr>
    <tr valign="top">
        <td class="fullContentSpan">
            <div class="pageHeader"><img src="images/page-hdr-checkout.gif" alt="Checkout" /></div>
            <table class="cartPage" align="center" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        <Controls:CheckoutNavigation runat="Server" ID="CheckoutNav1" />
                        <br />
                        <div class="cartHeader">Your Cart</div>
                        <Controls:CartControl ID="CartControl1" runat="server" IsEditable="False" />
                        <br />
                        <div class="checkoutHeader">Select Shipping Method</div>
                        <div><asp:RequiredFieldValidator ID="reqShippingOptions" runat="Server" ControlToValidate="rblShippingOptions" ErrorMessage="Please select a shipping method." Display="Dynamic" /></div>
                        <div><asp:RadioButtonList ID="rblShippingOptions" runat="server" /></div>
                        <br />
                        <asp:ImageButton ID="btnSubmit" runat="server" ImageUrl="images/continue.gif" OnClick="btnSubmit_Click" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="fullContentClose">&nbsp;</td>
    </tr>
</table>
</asp:Content>

