using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Content : System.Web.UI.MasterPage
{
    private string _SiteUrl = null;
    public string SiteUrl
    {
        get
        {
            if (_SiteUrl == null)
            {
                if (Request.IsLocal || ConfigurationManager.AppSettings["ForceWWWRedirect"] == "false")
                {
                    if (Request.IsSecureConnection)
                        _SiteUrl = String.Format("https://{0}{1}/", Request.Url.Authority, (Request.ApplicationPath.Length == 1 ? "" : Request.ApplicationPath));
                    else
                        _SiteUrl = String.Format("http://{0}{1}/", Request.Url.Authority, (Request.ApplicationPath.Length == 1 ? "" : Request.ApplicationPath));
                }
                else
                {
                    if (Request.IsSecureConnection)
                    {
                        if (!Request.Url.Authority.StartsWith("www"))
                            _SiteUrl = String.Format("https://www.{0}{1}/", Request.Url.Authority, (Request.ApplicationPath.Length == 1 ? "" : Request.ApplicationPath));
                        else
                            _SiteUrl = String.Format("https://{0}{1}/", Request.Url.Authority, (Request.ApplicationPath.Length == 1 ? "" : Request.ApplicationPath));
                    }
                    else
                    {
                        if (!Request.Url.Authority.StartsWith("www"))
                            _SiteUrl = String.Format("http://www.{0}{1}/", Request.Url.Authority, (Request.ApplicationPath.Length == 1 ? "" : Request.ApplicationPath));
                        else
                            _SiteUrl = String.Format("http://{0}{1}/", Request.Url.Authority, (Request.ApplicationPath.Length == 1 ? "" : Request.ApplicationPath));
                    }
                }
            }

            return _SiteUrl;
        }
    }

    protected string menu1 = "menu-home.gif";
    protected string menu2 = "menu-shop.gif";
    protected string menu3 = "menu-feel-good.gif";
    protected string menu4 = "menu-salon-spa.gif";
    protected string menu5 = "menu-faqs.gif";
    protected string menu6 = "menu-contact.gif";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.Path.Contains("Default.aspx") || Request.Path.Contains("default.aspx"))
            menu1 = "menu-home-on.gif";
        if (Request.Path.Contains("Browse") || Request.Path.Contains("View"))
            menu2 = "menu-shop-on.gif";
        if (Request.Path.Contains("Feel-Good"))
            menu3 = "menu-feel-good-on.gif";
        if (Request.Path.Contains("Salon-Spas"))
            menu4 = "menu-salon-spa-on.gif";
        if (Request.Path.Contains("FAQs"))
            menu5 = "menu-faqs-on.gif";
        if (Request.Path.Contains("Contact"))
            menu6 = "menu-contact-on.gif";
    }
}
